2006-02-09  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/prefs_ui/Makefile.am: fixed typo.
	The tag Release_0_3_5_1 is for version 0.3.5.

2006-02-09  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* configure.in: version 0.3.5.

2006-02-08  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* cs.po fr.po ja.po ru.po : update.

2006-02-05  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in:
	  - rgettext is available even if ruby is not available.
	  - fixed wrong AC_ARG_WITH usage.

2006-02-04  Kouhei Sutou  <kou@cozmixng.org>

	* src/**/.cvsignore: ignore *-enum-types[.-][ch].
	* etc/.cvsignore: ignore kz-ui-{beginner,medium,expert}.xml.
	* ext/**/.cvsignore: added.
	* data/ext/**/.cvsignore: added.

	* configure.in:
	  - ruby -> RUBY.
	  - added rgettext configuration.
	* autogen.sh: don't override exist po/Makefile.in.in.

	* ext/ruby/kz-rb-ext.c: supported gettext function.
	* data/ext/ruby/kz/actions.rb: supported gettext methods.

	* data/ext/ruby/kz/actions/install-as-ruby-extension.rb: use gettext.
	* data/ext/ruby/kz/actions/reload-ruby.rb: ditto.
	* data/ext/ruby/kz/actions/ruby-dialog.rb: ditto.
	* data/ext/ruby/kz/actions/text-link.rb: ditto.

	* configure.in: generate kz-ui-{beginner,medium,expert}.xml by
	using the configure result.
	* etc/kz-ui-{beginner,medium,expert}.xml: removed.
	* etc/kz-ui-{beginner,medium,expert}.xml.in: added.
	* etc/kz-ui-expert.xml.in: surround Ruby extension related actions
	with UI_XML_RUBY_START and UI_XML_RUBY_END.

2006-01-30  Eriko Sato  <peanuts.times@gmail.com>

	* data/ext/ruby/kz/actions/install-as-ruby-extension.rb: added
	  for creating ~/.kazehakase/actions directory automatically.

2006-01-29  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/utils/estsearch.c: deleted needless codes.

2006-01-25  Eriko Sato  <peanuts.times@gmail.com>

	* src/kz-window.c (kz_window_init): casted to GtkStatusbar.

	* configure.in: check ruby.h availability.

2006-01-23  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/sidebar/Makefile.am: fixed typo.

2006-01-23  Kouhei Sutou  <kou@cozmixng.org>

	* data/ext/ruby/kz/actions.rb: set same name of the action as
	default label.

2006-01-23  Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-plugin.[ch]: Remove. Use kz-ext.[ch] instead.
	* src/Makefile.am: Remove above files.

2006-01-23  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* utils/estsearch.c utils/estsearch.h
	  utils/utils.c utils/utils.h:
		changed history-search engine into HyperEstraier.
	
	* main.c:
		changed history-search engine into HyperEstraier.
		HyperEstraier's index is created automatically.
		changed variable name exists_estindex into exists_estcmd.

	* kazehakase.h actions/kz-smart-bookmark-action.c
	  mozilla/kz-mozembed.cpp:
		changed variable name exists_estindex into exists_estcmd.

	* prefs_ui/prefs_history.c:
	added preferece of except_keyword option.

2006-01-22  Kouhei Sutou  <kou@cozmixng.org>

	* data/ext/ruby/kz/actions.rb: implemented Kz::Actions.install_action.
	* data/ext/ruby/kz/actions/install-as-ruby-extension.rb: added
	Ruby extension install action.

	* etc/kz-ui-expert.xml: entry InstallAsRubyExtension action.
	* data/ext/ruby/kz/actions/Makefile.am: entry
	install-as-ruby-extension.rb.

	* data/ext/ruby/kazehakase-init-pre.rb (Kz.print_warning): added.

	* data/ext/ruby/kazehakase-init.rb (Kz.pop_statusbar): added.

	* data/ext/ruby/kz/actions/text-link.rb: use
	Gtk::Statusbar#get_context_id and Kz.pop_statusbar.

	* src/kz-window.c: use auto-generated statusbar context ID
	by gtk_statusbar_get_context_id() instead of enum.

	* src/actions/kz-actions-dynamic.c
	(cb_copy_in_user_format_menuitem_activate): added NULL check.

	* src/mozilla/kz-mozembed.cpp (kz_moz_embed_get_key_event_info):
	fixed typo.

	* src/kz-embed-event.c (kz_embed_event_free):
	  - fixed typo.
	  - added NULL check.

	* src/utils/gobject-utils.h (KZ_BOXED_GET_TYPE): added convenience
	macro to define GType for GBoxed.
	* src/kz-embed-event.{c,h}: added GType for KzEmbedEventKey and
	KzEmbedEventMouse.

	* ext/ruby/kz-rb-embed-event.c: implemented Kz::EmbedEvent family.
	* ext/ruby/kz-rb-ext.{c,h}: added Kz::EmbedEvent family entry.
	* ext/ruby/kz-rb-window.c: supported Kz::Window#mouse_event_info.

	* data/ext/ruby/Makefile.am: added kazehakase-init{,-pre}.rb.

2006-01-21  Kouhei Sutou  <kou@cozmixng.org>

	* ext/ruby/kz-rb-ext.{c,h}, ext/ruby/Makefile.am: added
	Kz::Downloader and Kz::DownloaderGroup entry.

	* ext/ruby/kz-rb-downloader.c: added.
	* ext/ruby/kz-rb-downloader-group.c: added.

	* data/ext/ruby/kz/actions.rb: use an anonymous module each action
	instead of using an anonymous module for all actions.

	* ext/ruby/kz-rb-embed.c: fixed typos.

	* src/kz-ext.{c,h}: invoke close callback when extension is closed.

	* ext/ruby/kz-rb-ext.{c,h}: implemented close callback.

	* data/ext/ruby/kazehakase-init.rb: moved Kz.print_error to ...
	* data/ext/ruby/kazehakase-init-pre.rb:
	  - ... here.
	  - added a hook which is invoked when Ruby extension is closed.

	* ext/ruby/kz-rb-ext.c:
	  - moved main code to Ruby side from C side.
	  - don't save $LOAD_PATH and $LOADED_FEATURES.

	* data/ext/ruby/kazehakase-init-pre.rb:
	  - added.
	  - pre-load script from Ruby extension initialize func.
	  - check Ruby extension available or not.

	* data/ext/ruby/kazehakase-init.rb:
	  - added.
	  - initialize script Ruby side Ruby extension.
	  - save $LOAD_PATH only.

2006-01-20  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in: added --enable-Werror option.

	* ext/ruby/kz-rb-embed.c (Init_kz_rb_embed): added G_DEF_SETTERS.

2006-01-18  Eriko Sato  <peanuts.times@gmail.com>

	* ext/ruby/kz-rb-ext.h: use auto generated enum type.

	* ext/ruby/kz-rb-emabed.c:
	  - fixed memory leak.
	  - fixed name of methods.
	  - use auto generated enum type.
	  - removed needless spaces.

	* ext/ruby/kz-rb-window.c:
	  - removed needless spaces.
	  - changed get_from_tab from method to singleton method.
	  - fixed typo.

	* ext/ruby/kz-rb-emabed.c (rb_kz_embed_get_links):
	changed the return value from gboolean to array.

2006-01-15  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-embed.c (kz_embed_reload): check flags value is valid or
	not.

	* src/kz-embed.h (reload): pass KzEmbedReloadFlags instead of
	gint32.
	* src/khtml/kz-khtml.c (kz_khtml_reload): follow this change.
	* src/mozilla/kz-mozembed.cpp (kz_moz_embed_reload): ditto.

	* src/enum-types.mk: added for generating enum type automatically.
	* src/Makefile.am: use src/enum-types.mk.
	* src/actions/Makefile.am: ditto.
	* src/bookmarks/Makefile.am: ditto.
	* src/dialogs/Makefile.am: ditto.
	* src/net/Makefile.am: ditto.
	* src/prefs_ui/Makefile.am: ditto.
	* src/sidebar/Makefile.am: ditto.
	* src/widget/Makefile.am: ditto.

	* src/bookmarks/kz-bookmark.{c,h}: use auto generated enum type.

	* src/utils/utils.c (purge_history_file): fixed coding style.

2006-01-15  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/utils/utils.c (purge_history_file): fixed a path name bug
	and slist construction bug.

2006-01-14  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in: cleanup ruby configuration detect code.

	* etc/kz-ui-expert.xml:
	  - moved RubyDialog and ReloadRuby into ExtensionMenu.
	  - removed needless spaces.
	* src/actions/kz-actions.c: added StockExtensionMenu.

2006-01-14  Eriko Sato  <peanuts.times@gmail.com>

	* configure.in: added data/ext/ruby/kz/{,actions/}/Makefile.

	* ext/ruby/kz-rb-conf.c: added KZ_CONF_{GET,SET} bindings.
	* ext/ruby/kz-rb-window.c: added KzWindow bindings.
	* ext/ruby/kz-rb-embed.c: added KzEmbed bindings.

	* data/ext/ruby/kz: added.
	* data/ext/ruby/kz/actions: added actions.
	* data/ext/ruby/Makefile.am (SUBDIRS): added kz.

2006-01-14  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-actions-dynamic.c,
	(kz_actions_dynamic_append_add_feed_bookmark): receive KzWindow
	instead of KzEmbed.
	* src/actions/kz-actions-dynamic.h: ditto.
	* src/actions/kz-actions-tab.c: ditto.
	* src/actions/kz-action.c: ditto.

	* src/actions/kz-actions-dynamic.c
	(cb_open_smart_bookmark_menuitem_activate):
	  - is affected entry_open_in_new_tab configuration.
	  - fixed memory leak.

	* src/actions/kz-actions-popup.c: fixed coding style.

2006-01-14  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* etc/kz-ui-expert.xml: added OpenSmartBookmark entry.
	* src/actions/kz-actions-dynamic.c: added OpenSmartBookmark update
	and invoke function.
	* src/actions/kz-actions-dynamic.h: added prototype declaration.
	* src/actions/kz-actions-popup.c: register OpenSmartBookmark.

2006-01-10  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in:
	  - fixed typo.
	  - check rbgtk.h is available or not.

2006-01-08  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in, ext/Makefile.am, data/ext/Makefile.am: added
	Ruby extension entry.
	* ext/ruby, data/ext/ruby: added Ruby extension. This is just a
	sample implementation.

	* src/kz-window.{c,h}: renamed kz_window_set_gesture_items to
	kz_window_update_gesture_items and exported
	kz_window_update_gesture_items. This change is for extension.

2006-01-07  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/actions/kz-actions-dynamic.c: supported CopyInUserFormat for
	link text.

	* src/actions/kz-smart-bookmark-action.c: improved preserving
	smart bookmark order feature.

2006-01-06 Takuro Ashie <ashie@homa.ne.jp>

	* src/utils/estsearch.c: Replace strncmp() with g_str_has_prefix().
	* src/utils/utils.c: Don't refer unconfirmed variables.

2006-01-06 Takuro Ashie <ashie@homa.ne.jp>

	* src/main.c: Replace strncmp() with g_str_has_prefix().

2006-01-06 Takuro Ashie <ashie@homa.ne.jp>

	* src/actions/kz-actions.c, src/actions/kz-location-entry-action.c,
	  src/actions/kz-smart-bookmark-action.c:
	Replace strncmp() with g_str_has_prefix().

2006-01-06 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-hinadi.c, src/bookmarks/kz-lirs.c,
	  src/bookmarks/kz-nsbookmark.c, src/bookmarks/kz-rss.c,
	  src/bookmarks/kz-w3mbookmark.c, src/bookmarks/kz-xbel.c:
	Replace strncmp() with g_str_has_prefix().

2006-01-04  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-ext.c (kz_ext_load_ext): added missing NULL.

	* src/kz-ext.c: fixed paren position.

	* src/actions/kz-smart-bookmark-action.c: preserve smart bookmark
	order.

	* src/kz-window.c (kz_window_destroy): fixed kz->extensions
	destroy method.

2006-01-03  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/actions/kz-smart-bookmark-action.c: Fix strange GList usage.

2006-01-03  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/actions/kz-smart-bookmark-action.c: Fix typo.

2006-01-03  Kouhei Sutou  <kou@cozmixng.org>

	* configure.in: added extdir variable.
	* Makefile.am: added configuration for extension
	directory.
	* ext: added directory for script language bindings to Kazehakase.
	* data/ext: added directory for script extension.
	* src/Makefile.am: added EXTDIR macro and kz-ext.{c,h}.
	* src/kz-ext.c, src/kz-ext.h: added dynamic extension loader.
	* src/kz-window.c, src/kz-window.h: added KzWindow.extensions for
	managing extensions.

2006-01-02  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/bookmarks/kz-xbel.c: Fix wrong string size.

2005-12-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.3.4.

2005-12-29 Daniil Ivanov <divanov@st.jyu.fi>

	* kazehakase.spec.in:
	update.

2005-12-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Fix a silly mistake for seamonkey support.
	Thanks Andrew "ruskie" Levstik <ruskie@mages.ath.cx>.

2005-12-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	seamonkey support.

2005-12-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/Makefile.am:
	added -R$(MOZILLA_HOME) for kazehakase_LDFLAGS.

2005-12-06  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/net/kz-http.c:
	Added NULL check of guri to fix crash bug.

2005-12-05  Jim Apple <japple@freeshell.org>

	* src/sidebar/kz-tabtree.c:
	Suppressed redrawing tab tree for performance issue.
	Fixed #4544 (Gna).	

2005-11-29  Kouhei Sutou  <kou@cozmixng.org>

	* src/Makefile.am, src/prefs_ui/Makefile.am:
	make shared library for kazehakase.

2005-11-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.3.3.

2005-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/bookmarks/kz-root-bookmark.c:
	Do not load the current_session.xml at the start up time to prevent
	increasing kz-window.
	Thanks Kouhei Sutou  <kou@cozming.org> for your precise investigation
	and advices.

2005-11-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	To prevent increasing kz-window, remove all bookmarks in current bookmark 
	when restoring session on start up.	

2005-11-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/kz-base64.[ch]: renamed from base64.[ch].
	* src/net/kz-http.c: use kz-base64.h instead of base64.h.

2005-11-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/Makefile.am:
	Change the order of GTK_CFLAGS and LIBGNUS_CFALGS.
	reported by Kouhei Sutou  <kou@cozming.org>.

2005-11-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* action/kz-smart-bookmark-action.c:
	Fixed crash.
	It's not good dealing.

2005-10-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.3.2.

2005-10-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/MozillaPrivate.[cpp|h],
	  src/mozilla/kz-mozhistorysearch.cpp:
	Fixed Moji-bake in Japanese.

2005-10-23  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-window.c: Add new function: move next/previous tab by
	scrolling mouse wheel with 3 (right) button click.

2005-10-19  Kouhei Sutou  <kou@cozmixng.org>

	* src/widget/kz-paned.c (kz_paned_set_separator_position): Remove
	unnecessary codes.

	* src/kz-feed-info.c: Use KZ_STOCK_REMOTE_BOOKMARK as icon image.
	* src/kz-feed-info.h: ditto.

2005-10-18  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-actions.c (act_show_hide_sidebar): Fixed reset
	separator position bug when position is right or bottom.
	[Kazehakase-devel 2416]
	Reported by MUNEDA Takahiro <mux03@panda64.net>. Thanks!
	* src/widget/kz-paned.c, src/widget/kz-paned.h: ditto.

	* src/kz-window.c, src/kz-window.h: Split off resize grip from
	download box.

2005-10-18 Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/actions/kz-actions-dynamic.c,
	  src/dialogs/kz-copy-format-dialogs.c:
	unescaped "\\" to "\".
	you can use special characters like "\n" in the copy format.
	Fixed #7241 (SF.jp).

2005-10-18  Jim Apple <japple@freeshell.org>

	* src/sidebar/kz-tabtree.c:
	Set the label color in the sidebar to the same color of the tab
	label.

2005-10-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/goption.c, src/utils/gtk-utils.c:
	Use GTK_CHECK_VERSION macro.

2005-10-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	When UI level is changed, feed_info is explicitly removed 
	from menu bar to prevent crash.

2005-10-11  Kazuhiro NISHIYAMA <zn@mbf.nifty.com>

	* src/main.c:
	Fixed bug when using any parameters understood by
	gtk_init().

2005-10-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.cpp:
	Set default encoding to ISO-8859-1.
	Fixed #2190 (Gna) and #2650 (Gna).

2005-10-07  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-window.c: Moved feed info to menu bar.

	* src/kz-feed-info.c, src/kz-feed-info.h: Changed parent
	class to GtkMenuItem from GtkStatusbar.

2005-10-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a problem that popup window persists.
	Fixed #4982 (SF.jp) and #2740 (Gna).
	I'm not 100% sure the bug is fixed. :-)

2005-10-06  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-actions.c (act_show_hide_sidebar): Use default
	requested size as new position.

2005-10-05  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-actions.c (act_show_hide_sidebar): Fixed a bug
	that sidebar can't be shown until restart. [Kazehakase-devel 2404]
	Reported by MUNEDA Takahiro <mux03@panda64.net>. Thanks!

	* src/widget/kz-paned.c:
	- Fixed a bug that handle cursor isn't changed.
	- Use size_request()/size_allocate() of GtkHPaned and GtkVPaned
	  directory.

2005-10-01  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in, etc/kz-ui-expert.xml, src/kz-embed.[ch],
          src/actions/kz-actions.c, src/mozilla/Makefile.am,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozwrapper.[cpp|h],
	  src/mozilla/mozilla.cpp:
	Added a dialog for SSL certrificates.

2005-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/mozilla/MozillaPrivate.cpp,
	  src/mozilla/nsEmbedAPI.cpp:
	Minor fixes for firefox-1.5b.
	Still a lot of work to do for firefox-1.5b.

2005-09-30  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in:
	Fixed wrong position of AC_DEFINE.

2005-09-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.3.1.

2005-09-28  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in, src/main.c, src/net/kz-http.c:
	Changed to use gnutls 1.2.0 or later.

2005-09-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c,
	  src/actions/kz-actions.c:
	Fixed crash.
	"KzCloseAllExceptActive" -> "KzCloseAllInactiveTabs".

2005-09-27  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/main.c, src/net/kz-http.c:
	Minor fix.

2005-09-27  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/utils/utils.c:
	Changed to check whether gs is usable.
	* etc/smartbookmarks.xml:
	Minor fix.

2005-09-26  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions-download.c:
	Changed to memorize the previous directory for saving.

2005-09-26  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* etc/smartbookmarks.xml:
	Added all TLD.

2005-09-26  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kz-ui-expert.xml:
	Added TabCloseAllSameSiteAsThis.

2005-09-26  Ryo SHIMIZU <furyo@on-air.ne.jp>

	* src/actions/kz-actions-tab.c:
	Added "TabCloseAllSameSiteAsThis" feature.

2005-09-23  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/bookmarks/kz-xbel.c:
	Removed unnecessary codes.

2005-09-23  Ryo SHIMIZU <furyo@on-air.ne.jp>

	* src/kz-tab-label.[ch], src/main.c,
	  src/actions/kz-actions-tab.c, src/actions/kz-actions.c,
	  src/bookmarks/kz-bookmark.[ch], src/bookmarks/kz-xbel.c:
	Added a javascript availability flag to each tab.

2005-09-23  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in, src/net/Makefile.am, src/net/kz-http.c:
	Changed to use GNU TLS.

2005-09-20  Kouhei Sutou  <kou@cozmixng.org>

	* src/Makefile.am (kz-marshalers.c): Include kz-marshalers.h for
	avoiding compile warnings.

2005-09-18  Kouhei Sutou  <kou@cozmixng.org>

	* src/mozilla/kz-mozthumbnailcreator.cpp
	(kz_moz_thumbnail_creator_create_thumbnail): Avoided a crash by
	shortening critical time.

2005-09-13  Kouhei Sutou  <kou@cozmixng.org>

	* src/sidebar/kz-bookmarks-sidebar.c (cb_button_release): Fixed a
	bug that opening strange URL after drop. [Kazehakase-devel 2366]
	Reported by MUNEDA Takahiro <mux03@panda64.net>. Thanks!

2005-09-11  Kouhei Sutou  <kou@cozmixng.org>

	* src/mozilla/kz-mozembed.cpp (net_stop_proccess): Added NULL
	check.

2005-09-10  Kouhei Sutou  <kou@cozmixng.org>

	* src/bookmarks/kz-bookmarks-view.c (cb_drag_data_received): Don't
	move if a folder is dragged to itself. [Kazehakase-devel 2362]
	Reported by MUNEDA Takahiro <mux03@panda64.net>. Thanks!
	(cb_drag_data_received): Call gtk_drag_finish() each time.

2005-09-08  Kouhei Sutou  <kou@cozmixng.org>

	* src/prefs_ui/prefs_tab.c: Fixed a bug that all configurations in
	'/Tab/New tab' is ignored. [Kazehakase-devel 2357]

2005-09-06  Jocelyn Jaubert <jaubert-nospam@ifrance.com.invalid>

	* etc/kz-ui-medium.xml, etc/kz-ui-expert.xml: 
	"KzCloseAllExceptActive" -> "KzCloseAllInactiveTabs".

2005-09-06  Jocelyn Jaubert <jaubert-nospam@ifrance.com.invalid>

	* src/actions/kz-actions.c, 
	  src/actions/kz-actions-tab.c:
	"KzCloseAllExceptActive" -> "KzCloseAllInactiveTabs".

2005-09-06  Kouhei Sutou  <kou@cozmixng.org>

	* src/sidebar/kz-bookmarks-sidebar.c (cb_button_release): Renamed
	from cb_button_press().

2005-09-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Added "fr" to ALL_LINGUAS.
	Thanks to Jocelyn Jaubert <jaubert-nospam@ifrance.com.invalid>.

2005-09-06  Ryo SHIMIZU  <furyo@on-air.ne.jp>

	* src/sidebar/kz-bookmarks-sidebar.c:
	Open a bookmark by releasing mouse button instead of pressing.
	Reported by MUNEDA Takahiro <mux03@panda64.net>. Thanks!

2005-09-06  michael johnson  <ahze@FreeBSD.org>

	* src/dialogs/kz-copy-format-dialog.c,
	  src/dialogs/kz-prompt-dialog.c
	  src/kz-tab-label.c:
	Fix for GCC-2.9x.

2005-09-05  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-smart-bookmark-action.c (cb_entry_key_press):
	Use new_tab_mask configuration.

	* src/kz-feed-info.c (cb_feed_info_button_press): Accept 1 button
	to show popup menu.

2005-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* actions/kz-actions.c, actions/kz-actions-tab.c,
	  doc/ja/kazehakase.xml, 
	  etc/kzrc, etc/kz-ui-{expert,medium}.xml,
	  po/ja.po, po/cs.po, po/ru.po:
	"CloseAllTabsWithoutActive" -> "CloseAllTabsExceptActive".
	Thanks Jocelyn Jaubert <jaubert@ifrance.com> for your report.

2005-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* actions/kz-actions.c, prefs_ui/prefs_fonts.c:
	Fixed some typo.
	Thanks Jocelyn Jaubert <jaubert@ifrance.com> for your report.

2005-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.3.0.

2005-08-25  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-location-entry-action.c (collect_file_path):
	Limited number of collected files.

2005-08-15  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-window.c (kz_window_init): Changed feed info navigator
	box size.
	Thanks Ryo SHIMIZU <furyo@on-air.ne.jp> for your report.

2005-08-14  Kouhei Sutou  <kou@cozmixng.org>

	* etc/kz-ui-expert.xml:
	- Added AddFeedBookmark action to BookmarkPopup.
	  Thanks Ryo SHIMIZU <furyo@on-air.ne.jp> for your report.
	- Added 'Tab' prefix to AddFeedBookmark action in TabPopup.

	* src/actions/kz-actions.c (set_popup_menu_sensitive): Set up
	AddFeedBookmark is sensitive or not.
	(kz_actions_popup_bookmark_menu_modal): Set up AddFeedBookmark's
	menu.

	* src/actions/kz-actions-tab.c (set_popup_menu_sensitive): Set up
	TabAddFeedBookmark is sensitive or not.

	* src/actions/kz-actions-dynamic.[ch]
	(kz_actions_dynamic_append_add_feed_bookmark): Changed the first
	argument parameter to KzEmbed * from KzTabLabel *.

	* src/actions/kz-actions-dynamic.c
	(kz_actions_dynamic_append_add_feed_bookmark): Don't make menu
	when available feed is not exist.

	* src/mozilla/kz-mozeventlistener.cpp (HandleLink): Set NULL as
	navi title/type when <link>'s title/type attribute is empty.
	Thanks Ryo SHIMIZU <furyo@on-air.ne.jp> for your report.

2005-08-13  Kouhei Sutou  <kou@cozmixng.org>

	* src/mozilla/kz-mozembed.cpp (kz_moz_embed_set_nth_nav_link) 
	(kz_moz_embed_append_nav_link): Fixed reference count problem.

	* src/actions/kz-actions.c (kz_actions_set_sensitive) 
	(kz_actions_set_tab_sensitive): AddFeedBookmark ->
	AddFirstFeedBookmark.

	* src/Makefile.am (dist_kazehakase_SOURCES): Added
	kz-feed-info.[ch] and kz-navi.[ch].

	* src/kz-navi.[ch]: New file. Navigation link management object.

	* src/kz-feed-info.[ch]: New file. Feed management widget in the
	bottom of window.

	* src/kz-embed.[ch] (kz_embed_append_nav_link)
	(kz_embed_set_nav_link, kz_embed_set_nth_nav_link) 
	(kz_embed_get_nav_link, kz_embed_get_nth_nav_link) 
	(kz_embed_get_nav_links): New navi link API.

	* src/mozilla/kz-mozembed.cpp (kz_moz_embed_append_nav_link) 
	(kz_moz_embed_set_nth_nav_link, kz_moz_embed_get_nth_nav_link) 
	(kz_moz_embed_get_nav_links): ditto.

	* src/mozilla/kz-mozeventlistener.cpp (HandleLink): Adjusted new
	navi link API.

	* src/kz-window.c (kz_window_init): Initialize kz->feed_info
	widget.
	(cb_notebook_switch_page_after)
	(cb_embed_load_started, cb_embed_load_finished): Respond to state
	change.

	* src/actions/kz-actions.c (act_add_first_feed_bookmark): New
	action.

	* src/actions/kz-actions-dynamic.c
	(cb_add_feed_bookmark_menuitem_activate) 
	(kz_actions_dynamic_append_add_feed_bookmark): Set up menu item
	for available feeds dynamically.

	* src/actions/kz-actions-tab.c (kz_actions_tab_popup_menu_modal): 
	ditto.

	* dummy_etc/kazehakase/kz-ui-expert.xml: Added AddFeedBookmark
	action.
	
2005-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/migemo.c:
	Fixed a crash caused by long URI.
	Thanks Kouhei Sutou  <kou@cozmixng.org> for your report.

2005-08-10  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-location-entry-action.c: Guard encoding related
	crash while completing.

	* src/actions/kz-history-action.c: Fix typo.

	* src/actions/kz-actions.c (act_prev_tab, act_next_tab) 
	  (kz_actions_set_tab_sensitive),
	  src/kz-tab-label.c (kz_tab_label_scroll_event),
	  src/kz-window.c (cb_notebook_scroll_event):
	Reflect "wheel_circulation" configuration.

	* src/kz-prefs-win.c (kz_prefs_win_reset_nav_tree):
	Keep all expand/collapse row state.

2005-08-04  Kouhei Sutou  <kou@cozmixng.org>

	* src/kz-prefs-win.c (kz_prefs_win_reset_nav_tree):
	Fix a crash bug that is occurred when apply, cancel or OK button
	is pressed in '/Tab/New tab' path.

2005-08-04  Kazuhiro NISHIYAMA <zn@mbf.nifty.com>

	* src/net/kz-http.c:
	Treat as error when authentication dialog canceled.

2005-08-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-bookmark-sidebar.c:
	Open bookmark by single click.	
	Thanks to Ryo Shimizu <furyo@on-air.ne.jp>. 

2005-08-03  Kouhei Sutou  <kou@cozmixng.org>

	* src/mozilla/kz-mozembed.cpp
	(kz_moz_embed_net_start, kz_moz_embed_net_stop): Move
	kz_moz_embed_navigation_link_free() to kz_moz_embed_net_start()
	from kz_moz_embed_net_stop().

2005-08-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-tab-label.c,
	  src/kz-download-box.c:
	Suppress warnings.

2005-07-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_font.c:
	Fixed a crash with Deer Park.

2005-07-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.2.9.

2005-07-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in,
	  src/mozilla/Makefile.am,
	  src/mozilla/MozillaPrivate.[cpp|h],
	  src/mozilla/MozillaEmbedPrivate.[cpp|h],
	  src/mozilla/EmbedPrivate.h:
	Minor fix for deer park.

2005-07-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in,
	  src/mozilla/kz-mozprogresslistener.[cpp|h]:
	Check nsIWebProgressLitener2.h.

2005-07-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Minor fix for deer park.

2005-07-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmark-menu-item.c:
	Use kz_favicon_get_instance() instead of kz->kzfav
	because kz->kzfav of the second window does not handle correctly.
	Why?

2005-07-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedContentListener.cpp,
	  src/mozilla/EmbedPrivate.cpp,
	  src/mozilla/EmbedStream.cpp,
	  src/mozilla/EmbedWindow.cpp,
	  src/mozilla/GtkNSSDialog.cpp,
	  src/mozilla/kz-mozutils.cpp,
	  src/mozilla/kz-mozwrapper.cpp:
	Minor fixes for deer park.

2005-07-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-item.c,
	  src/bookmark/kz-bookmark-menu.[ch]:
	Use KzBookmarkMenuItem object.

2005-07-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-folder-menu-item.[ch],
	  src/bookmark/kz-bookmark-menu-item-list.[ch]:
	Added two new object for bookmark menu item.

2005-07-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-base-menu-item.[ch],
	  src/bookmark/kz-bookmark-menu-item.[ch]:
	The process of getting notification from bookmark object was
	moved in KzBookmarkBaseMenuItem.

2005-07-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-separator-menu-item.[ch]:
	Added a new object for separator bookmark menu item.

2005-07-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-base-menu-item.[ch]:
	Added a new object for bookmark menu item.
	But still not used.
	
	* src/bookmark/kz-bookmark-base-menu-item.[ch]:
	Rewrite with KzBookmarkBaseMenuItem.

2005-07-17  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-history-action.c (completion_func):
	Added UTF-8 validation.

2005-07-15 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po: Update.

2005-07-15 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c: Find parent page.
	* src/prefs_ui/prefs_tab.c: Split the tab page.

2005-07-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark-menu-item.[ch]:
	Added a new object for bookmark menu item.
	But still not used.

2005-07-15 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c: Minor fix.

2005-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	GDK_INTERP_BILINEAR -> GDK_INTERP_NEAREST for performance issue.

2005-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Create hash table for pixbuf.

2005-07-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Minor performance improvement.

2005-07-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-icons.c:
	Use g_build_filename() instead of g_strconcat().

2005-07-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Minor fix for history of smartbookmark entry.

2005-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/Makefile.am,
	  src/net/Makefile.am:
	Minor fixes for automake-1.6.

2005-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-item.c:
	The link and the bookmark item on the bookmark bar are able be dropped
	in the folder on the bookmark bar.

2005-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Removed the bookmark on the bookmark bar if the bookmark is XBEL.
	Fixed #5830(SF.jp)?

2005-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-bar.c:
	Use drag_motion.	

2005-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-bar.c,
	  src/bookmarks/kz-bookmark-item.[ch]:
	KzBookmarkItem became GtkToolItem.

2005-07-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-smart-bookmark.[ch],
	  src/bookmarks/kz-xbel.c:
	New functions: 
	kz_smart_bookmark_set_history() and kz_smart_bookmark_get_history().

2005-07-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialog/kz-print-dialog.[ch]:
	Rewrite with g_type_class_add_private().

2005-07-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-navigation-action.c,
	  src/libegg/dropdowntoolbutton/eggdropdowntoolbutton.[ch]:
	Use GtkMenuToolButton instead of EggDropdownToolbutton
	if GTK+ version is 2.6.0 or higher.

2005-07-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml, 
	  src/actions/kz-actions.c:
	Added "OpenKazehakaseWebsite" action.
	
	* src/dialog/kz-about-dialog.c:
	Show the license.
	
	Thanks to Ryo Shimizu <furyo@on-air.ne.jp>. 

2005-07-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-downloader-sidebar.c:
	Use GtkCellRendererProgress instead of KzCellRendererProgress
	if GTK+ version is 2.6.0 or higher.

2005-07-08  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c:
	Add scheme and port to authentication dialog message.
	Remove "realm=" from basic authentication dialog message.

2005-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/prefs_ui/prefs_gesture.c,
	  src/widget/kz-thumbnail.[ch]:
	Use GtkEventBox with gtk_event_box_set_visible_window() 
	instead of KzInputEventBox.

2005-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/net/Makefile.am:
	added --disable-ssl option.

2005-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-http.c:
	SSL support.
	Fixed #4028 (SF.jp).

2005-07-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/net/kz-io.c,
	  src/kz-http.c:
	SSL support. still in progress.

2005-07-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	auth-int support.
	Fixed #2271 (Gna).

2005-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.c:
	Fixed crash.

2005-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	MD5-sess support.

2005-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	Digest authentication support.
	But MD5-sess and auth-int is not supported yet.

2005-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/base64.[ch],
	  src/dialogs/kz-prompt-dialog.[ch],
	  src/net/kz-http.c,
	  src/net/kz-ui.c:
	Basic authentication support.

2005-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.c:
	create KzIO object in constructor.

2005-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	version 0.2.8.

2005-06-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialog/kz-prompt-dialog.[cpp|h],
	  src/mozilla/GtkPromptService.cpp,
	  src/mozilla/MozillaPrivate.[cpp|h]:
	Always show the host name of the dialog.

2005-06-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Added "ru" to ALL_LINGUAS.
	Thanks to Kumiko SADOHARA.

2005-06-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialog/kz-copy-format-dialog.c:
	update sentence.

	* po/ja.po:
	update.
	Thanks to Ryo Shimizu <furyo@on-air.ne.jp>. 

2005-06-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c: Minor fix.

2005-06-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c, src/prefs_ui/prefs_general.c:
	Remove needless code.

2005-06-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/prefs_ui/prefs_general.c: Show/Hide "Copy format" button according
	to UI lebel.

2005-06-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/prefs_ui/prefs_gersture.c: Remove KzInputEventBox because it
	prevents clicking buttons.

2005-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.cpp:
	Set default font correctly.
	Thanks Utumi san for your report.

2005-06-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_fonts.c,
	  src/mozilla/mozilla-prefs.cpp:
	Show fonts name of different lang in font list.
	Fixed #6159 in SF.jp.

2005-06-21  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/dialogs/kz-copy-format-dialog.c:
	apapt to GNOME HIG.
	Thanks to Ryo Shimizu <furyo@on-air.ne.jp>. 

2005-06-20  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in, src/net/Makefile.am:
	Changed to link to zlib explicitly.

2005-06-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_entry.c:
	The preference of new_tab_mask.
	Thanks to Ryo Shimizu <furyo@on-air.ne.jp>. 

2005-06-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c:
	Use kz_actions_dynamic_append_**().

2005-06-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-dynamic.c:
	Recreate submenu at each time.

2005-06-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-dynamic.[ch],
	  src/actions/kz-actions.c,
	  src/actions/kz-actions-popup.c:
	Added new files for dynamic actions.

2005-06-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml:
	Enable "CopyInUserFormat".

2005-06-18  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-history-action.c (completion_func):
	Consider key is case-insensitive.

2005-06-17  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-location-entry-action.c (cb_entry_key_press):
	Do only activate.

	There is a bug yet that user input isn't passed to IM when
	new_tab_mask + Enter is pressed.

2005-06-17  Kouhei Sutou  <kou@cozmixng.org>

	* src/actions/kz-location-entry-action.c,
	  src/actions/kz-location-entry-action.h:
	Implemented local file name completion.

2005-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Show KzCopyFormatDialog from popup menu.
	Thanks to Kouhei Sutou <kou@cozmixng.org>.

2005-06-15  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/mozilla/Makefile.am:
	Added -I$(top_builddir)/src for making in different directory than
	source.

2005-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/Makefile.am:
	Support for Gentoo.

2005-06-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-hitsory-action.[c|h],
	  src/actions/kz-location-entry-action.c,
	  src/prefs/prefs_entry.c:
	Added inline completion option for URI entry.
	It can be used only if GTK+ version is 2.6.0 or higher.
	Thanks to Kouhei Sutou <kou@cozmixng.org>.

2005-06-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Enable GtkMozEmbed by default.

2005-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozeventlistener.cpp:
	Fixed a problem that the link of "link rel=" indicates wrong URI.

2005-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrivate.[cpp|h],
	  src/mozilla/gtkmozembed2.cpp:
	Removed EmbedPrivate::GetSize() for loading Flash.

2005-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	Fixed a problem that "Use auto-completion in URL entry box" is not
	efficient.
	Thanks to Kouhei Sutou <kou@cozmixng.org>.

2005-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp:
	Show third button label on the prompt dialog correctly.
	Utumi san, thank you for your report.

2005-06-12  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/kz-prefs-win.c:
	Set cursor in kz_prefs_win_reset_nav_tree.

2005-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedEventListener.cpp:
	Catching up with mozilla head.
	
	* src/mozilla/EmbedPrivate.cpp:
	Fixed invisible flash.

2005-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrivate.cpp:
	Fixed crash when opening a new tab using javascript..

2005-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedWindow.cpp:
	Fixed crash when showing  tooltips.

2005-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrivate.cpp:
	Fixed crash when exiting kazehakase.

2005-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedContentListener.[cpp|h],
	  src/mozilla/EmbedEventListener.[cpp|h],
	  src/mozilla/EmbedPrivate.[cpp|h],
	  src/mozilla/EmbedProgress.[cpp|h],
	  src/mozilla/EmbedStream.[cpp|h],
	  src/mozilla/EmbedWindow.[cpp|h],
	  src/mozilla/EmbedWindowCreator.[cpp|h],
	  src/mozilla/gtkmozembed.h,
	  src/mozilla/gtkmozembed2.cpp,
	  src/mozilla/gtkmozembed_internal.h,
	  src/mozilla/gtkmozembedprivate.h,
	  src/mozilla/nsEmbedAPI.cpp,
	  src/mozilla/nsProfileDirServiceProvider.cpp,
	  src/mozilla/Makeifle.am.
	  configure.in:
	Merged with GtkMozEmbed branch.
	To make GtkMozEmbed including binary, 
	use "--enable-gtkmozembed" option with configure.

2005-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/MozillaPrivate.[cpp|h]:
	Added some functions for GtkMozEmbed branch.
	
	* src/kz-marshalers.list:
	Added some entries for GtkMozEmbed branch.

2005-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/MozillaPrivate.[cpp|h],
	  src/mozilla/kz-mozutils.h:
	Added some functions for GtkMozEmbed branch.

2005-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-prompt-dialog.c:
	Fixed broken dialog.

2005-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-copy-format-dialog.[c|h],
	  src/actions/kz-actions.c, src/prefs/prefs_general.c:
	Added the feature of user defined copy format of title and URI.
	This code was written by Ryo Shimizu <furyo@on-air.ne.jp>. Thanks!

2005-06-01  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c:
	Removed an unused variable.

2005-05-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gobject-utils.h:
	Removed KZ_OBJECT_FINALIZE.

2005-05-14  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/mozilla/kz-mozembed.cpp,
	src/mozilla/kz-mozeventlistener.[cpp|h]:
	Enabled to get "XXX" of
	<link rel="alternate" type="application/rss+xml" href="XXX">
	in kz_embed_get_nav_link().
	This code was written by Kouhei Sutou <kou@cozmixng.org>. Thanks!

2005-05-10  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-embed.[ch],
	  src/mozilla/kz-mozembed.cpp:
	Added kz_embed_get_nav_link().

2005-05-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.[cpp|h],
	  src/mozilla/kz-mozdownloader.[cpp|h],
	  src/mozilla/kz-mozthumbnailcreator.[cpp|h]:
	Rewrite with g_type_class_add_private().

2005-05-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-prompt-dialog.[c|h],
	  src/mozilla/GtkPromptService.[cpp|h]:
	Use KzPromptDialog instead of EmbedPrompter.

2005-05-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-plugin.[ch], src/kz-prefs-win.[ch],
	  src/kz-sidebar.h, src/kz-tab-label.[ch],
	  src/kz-thumbnails-view.[ch], src/kz-window.[ch],
	  src/kz-xml.[ch], src/actions/kz-stop-reload-action.[ch],
	  src/actions/kz-zoom-actions.[ch],
	  src/bookmarks/kz-bookmark-edit-win.[ch],
	  src/bookmarks/kz-bookmark-editor.[ch],
	  src/bookmarks/kz-bookmarks-view.[ch],
	  src/khtml/kz-khtml.[ch], src/net/kz-file.[ch],
	  src/net/kz-io.[ch], src/net/kz-http.[ch],
	  src/net/kz-xmlrpc.[ch], src/widget/kz-dlist.c,
	  src/widget/kz-comboboxentry.[ch]:
	Rewrite g_type_class_add_private().

2005-05-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-prompt-dialog.[c|h]:
	Added KzPromptDialog.

2005-05-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-password_manager-dialog.c:
	Use gtk_window_set_destroy_with_parent() instead of connecting call back
	function.

2005-05-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.c:
	Use gtk_window_set_destroy_with_parent() instead of connecting call back
	function.

2005-04-29  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.7.

2005-04-29  hiroyuki ikezoe <poincare@ikezoe.net>

	* configure.in:
	Accept "mozilla-firefox" as with_gecko_engine.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml:
	Disabled custumizable copy format.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-actions-popup.c:
	more sophisticated parser of custumizable copy format.
	Thanks to NISHIYAMA san.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	added "use_highlight" option.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_bookmark.c:
	"View" -> "Appearance".
	Thanks to Miroslav Kure.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	fixed a problems that no_proxies does not split correctly.
	there is another issue to solve. Fix it!
	Thanks Muneda san.

2005-04-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_general.c:
	'%t' -> '%t%', '%u -> '%u%', '%s' -> '%s%'.
	Hide "copy..." options.

2005-04-26  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-expert.xml, src/actions/kz-actions.c,
	  src/actions/kz-actions-tab.c, src/prefs_ui/prefs_general.c:
	Added some custimizable copy actions.
	Thanks to Furyo!.

2005-04-26  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Added "cs" to ALL_LINGUAS.
	Thanks to Miroslav Kure!

2005-04-23  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c: 
	Applied no_proxies_on setting.
	Fixed #5876 (SF.jp).

2005-04-23  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* po/POTFILES.in, po/ja.po,
	  src/kz-prefs-win.c, src/prefs_ui/prefs.general.c,
	  src/prefs_bookmark.[c|h]:
	Added bookmark preference on the preference dialog.
	Thanks to Furyo!

2005-04-22  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-bar.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmarks-view.c,
	  src/libegg/md5/eggmd5.c, src/util/util.c:
	Suppressed warnings.

2005-04-22  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-menu.c:
	Limit of bookmark title length on the bookmark menu.	
	Thanks to Furyo!

2005-04-19  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* autogen.sh:
	Support for automake-1.8 or higher.

2005-04-19  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml:
	GoUp button on toolbar.

2005-04-19  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Enable highlight keyword.
	Firefox is also slow like Kazehakase, 
	so performance issue is responsible for Gecko.

2005-04-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc, src/mozilla/kz-mozembed.cpp:
	Added global javascript availability setting.

2005-04-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c, src/kz-profile.[ch],
	  src/kz-window.c, src/kz-location-entry-action.c:
	Do not save profile when it does not need.

2005-04-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-yellow.png, src/icons/Makefile.am
	  src/kz-icons.h, src/bookmarks/kz-bokmark-item.c,
	  src/bookmarks/kz-bookmark-file.[ch],
	  src/bookmarks/kz-bookmark-menu.c:
	Added an icon for indicating update state of remote bookmark.
	But it does not work well.

2005-04-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mowrapper.[cpp|h]:
	Added SelectionListener. but it is not used yet.

2005-04-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Removed needless codes.

2005-04-06  Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-download-box.c: Show popup menu on mouse button 3 clicking.
	Don't cancel downloading on mouse button 1 clicking.

2005-04-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-menu.c:
	Do not open all tabs in remote bookmark 
	when the head of the bookmark menu is clicked by middle button.

2005-04-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.c:
	Save profile at each changing settings.

2005-04-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml:
	"GoTo" button moved behind of location entry.

2005-04-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c:
	Enable to use some KzTabPopup actions with keyboard shortcut.

2005-04-04  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkNSSDialog.cpp:
	Fixed a bug that the site name of certificated is shown only the first
	letter.
	Thanks John for your report.

2005-04-01  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml,
	  src/kz-embed.[c|h], src/actions/kz-action-tab.c,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozwapper.[cpp|h]:
	Added "TabToggleImages" action.

2005-04-01  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	Use g_build_filename().

2005-04-01  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozfilepicker.cpp:
	Fixed a bug that the directory of getting file does not preserved.

2005-04-01  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozfilepicker.cpp,
	  src/mozilla/kz-mozlauncher.cpp:
	Fix for mozilla-1.7.2.
	Thanks to ToshiOkada san.

2005-03-30  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Use gecko engine which is indicated with configure.
	Thanks to Nakano san.

2005-03-30  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a bug that the bookmarkbar always hidden after full-screen.
	Thanks John for your report.

2005-03-30  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml,
	  src/kz-embed.[c|h], src/actions/kz-action-tab.c,
	  src/khtml/kz-khtml.c,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozwrapper.[cpp|h]:
	Enable/disable javascript for each tab.

2005-03-29  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.6.

2005-03-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Disabled highlight because of performance issue.

2005-03-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/kz-favicon.c, 
	  src/kz-popup-preview.c, src/kz-window.c,
	  src/main.c, src/actions/kz-actions.c,
	  src/mozilla/kz-mozwrapper.cpp, src/mozilla/mozilla-prefs.cpp:
	Use PACKAGE for preference directory.
	Thanks to atzm san.

2005-03-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.cpp:
	  src/prefs_ui/prefs_font.c:
	Fixed a bug that font settings do not stored.
	Thanks to Utumi san.

	Mozilla's font setting revert to with nsIFontList.

2005-03-24  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-io.c:
	Message should not be critical when io cannot decode buffer,
	because it is a known restriction.

	* doc/ja/.cvsignore: Copy from doc/.cvsignore.

2005-03-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrompter.[cpp|h],
	  src/mozilla/GtkPromptService.cpp:
	Fixed a seg fault when the google search button is preessed.
	Thanks to Utumi san.

2005-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-embed.[c|h],
	  src/mozilla/kz-mozselectionlistener.[cpp|h]:
	Added "kz-selection" signal.

2005-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozille/kz-mozembed.cpp:
	Keyword highlighting by incremental search.
	But it does not work with migemo.

2005-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed typo.

2005-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozfilepicker.cpp:
	Fixed a bug that saving directory is not preserved.
	Thanks to Utumi san.

2005-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Unhighlighting works.

2005-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Unhighlighting keyword.
	But still not work.

2005-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Highlighting keyword.
	But still not implemented unhighlighting.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/MozillaPrivate.[cpp|h],
	  src/mozilla/kz-mozwrapper.cpp:
	Zooming came back!

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/Makefile.am,
	  src/mozilla/mozilla.cpp:
	gtk_moz_embed_set_comp_path().

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/MozillaPrivate.[cpp|h]:
	Enable migemo.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.cpp,
	  src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/MozillaPrivate.[cpp|h],
	  src/mozilla/Makefile.am:
	Added MozillaPrivate.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in,
	  src/mozilla/kz-mozlauncher.cpp:
	Checking of nsIHelperAppLauncherDialog API.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozhistorysearch.cpp,
	  src/mozilla/kz-mozutils.[cpp|h]:
	History search works well.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozhistorysearch.cpp:
	Use nsIComponentManager.
	Now Kazehakase is able to compile with firefox.

2005-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in,
	  src/mozilla/kz-mozwrapper.cpp:
	Fixed checking of nsICacheSesson API.

2005-03-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrompter.[cpp|h],
	  src/mozilla/GtkNSSDialog.[cpp|h],
	  src/mozilla/GtkPromptService.[cpp|h],
	  src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozeventlistener.cpp,
	  src/mozilla/kz-mozfilepicker.[cpp|h],
	  src/mozilla/kz-mozhistorysearch.cpp,
	  src/mozilla/kz-mozlauncher.[cpp|h],
	  src/mozilla/kz-mozprintingptomptservice.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp,
	  src/mozilla/kz-mozselectionlistener.h,
	  src/mozilla/kz-mozutils.[cpp|h],
	  src/mozilla/kz-mozwrapper.[cpp|h],
	  src/mozilla/mozilla.cpp:
	Use nsIEmbedString.
	there are many feature regressions. Fix it!

2005-03-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am:
	Removed kazehakase.in.

2005-03-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am, src/mozilla/Makefile.am,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozfilepixker.cpp,
	  src/mozilla/kz-mozlauncher.cpp,
	  src/mozilla/kz-mozprogresslistener.[cpp|h],
	  src/mozilla/kz-mozthumbnailcreator.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h], src/mozilla/mozilla.cpp:
	Check Mozilla API in configure.in.
	This method is picked from Epiphany-1.7.0. Thanks!

2005-03-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-actions.c:
	Fixed a crash when switching UI level from expert to begginer.

2005-03-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Do not show bookmark-bar when window restores from full-screen mode
	if the option of showing bookmark-bar is unchecked.
	Thanks Mikos for your report.

2005-03-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Open a new tab on foreground by middle click with shift mask.
	Thanks to Furyo san!

2005-03-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/Makefile.am:
	Cleaning kz-marshalers.
	Thanks to Sutou san!

2005-03-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Refactoring around finding keyword with migemo.
	Thanks to Sutou san!

2005-03-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Show bookmarkbars by default.

2005-03-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/prefs_ui/prefs_general.c:
	Added popup_thumbnail option.

2005-03-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[ch], src/actions/kz-actions.c:
	Hide all bars while full screen mode.

2005-03-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, etc/kz-ui-expert.xml:
	Added "ToggleFullScreen" action.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.c:
	Removed GTK+-2.6 specific function.
	Thanks Mikos for your report.

	* etc/kz-ui-expert.xml:
	Adde ShowHideBookmarkbars menu.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.[ch],
	  src/mozilla/kz-mozprintintpromptservice.cpp:
	Printer selection.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/kz-window.c:
	Added ShowHideBookmarkbars action.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Show correct theme icon on the toolbar.
	Thanks to Mikos.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-embed.[ch], src/khtml/kz-khtml.c,
	  src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Added get_printer_list().

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-links-dialog.c:
	Plugged a memory leak.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.c,
	  src/dialogs/kz-links-dialog.c:
	Use GtkFileChooserDialog instead of GtkFileSelector.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.c:
	Fixed a bug that the first page is only printed.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozfilepicker.[cpp|h]:
	Use GtkFileChooserDialog instead of GtkFileSelector.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* actions/kz-actions.c:
	Plugged a memory leak.
	Fix a silly mistake.
	GTK_RESPONSE_OK -> GTK_RESPONSE_ACCEPT.

2005-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* actions/kz-actions.c,
	  src/actions/kz-actions-download.[ch]:
	Plugged a memory leak.

2005-03-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, actions/kz-actions.c,
	  src/actions/kz-actions-download.[ch],
	  src/actions/kz-actions-popup.c:
	Set KzWindow to transient of file chooser dialog.

2005-03-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-actions-download.c:
	Use GtkFileChooserDialog instead of GtkFileSelector.

2005-03-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* doc/ja/Makefile.am, doc/ja/kazehakase-ja.omf:
	Added. Just added.

2005-03-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Check embed is NULL when finding keyword in the page.

2005-03-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Enable/disable tab popup actions.
	Thanks to NISHIYAMA san.

2005-03-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-bar.c:
	Auto-detection of remote bookmark if the URI includes "xml".

2005-03-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/bookmarkbar.xml:
	Changed the URI of freshmeat.net.
	Thanks to NISHIYAMA san.

2005-02-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* doc/kazehakase.1, configure.in, Makefile.am:
	Added man page.
	This man is written by Hidetaka Iwai.

2005-02-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/migemo.[c|h],
	  src/mozilla/kz-mozembed.cpp:
	Jumping to the page top/bottom (i.e. wrapping) when finding keyword with migemo.

2005-02-25  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c, src/net/kz-io.c: Accept deflate too.

2005-02-25  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c: Fixed a typo.

2005-02-25  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c: Added Accept-Encoding header.

	* src/net/kz-io.c:
	Use zlib directly instread of using gzip command.

2005-02-25  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c, src/net/kz-io.c, src/net/kz-io.h:
	Support `Content-Encoding: x-gzip' using gzip command.

2005-02-24  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/net/kz-http.c: Plugged a memory leak.
	Fixed a buffer overrun.

2005-02-23  Kazuhiro NISHIYAMA <zn@mbf.nifty.com>

	* src/net/kz-http.c:
	Field names are case-insensitive. (RFC 2616 4.2)

2005-02-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.[cpp|h],
	  src/prefs_fonts.c:
	Use nsIFontEnumerator instead of nsIFontList.

2005-02-19  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-khtml.c:
	Fixed a compile error with gtk+-webcore.

2005-02-19  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/bookmarks/kz-actions-bookmark.c:
	Fix the path of other browsers' bookmark(See Debian Bug#295338).

2005-02-18  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/kz-popup-preview.[c|h]:
	Do not popup thumbnail when the link indicates image file.
	Thanks to atzm san.

2005-02-15  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a silly mistake.

2005-02-15  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Revert yos san's patch because the gesture does not work on my
	thinkpad.

2005-02-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-downloader-group.c,
	  src/kz-prefs_win.c, src/kz-sidebar.c,
	  src/kz-tab-label.c, src/kz-window.c,
	  src/bookmarks/kz-bookmark-bar.c,
	  src/bookmarks/kz-bookmark-edit.c,
	  src/bookmarks/kz-bookmark-editor.c,
	  src/bookmarks/kz-bookmark-file.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmarks-view.c,
	  src/dialogs/kz-links-dialog.c,
	  src/prefs_ui/prefs_font.c, 
	  src/prefs_ui/prefs_gesture.c,
	  src/sidebar/kz-tabtree.c:
	Remove needless g_return_if_fail().

2005-02-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.c, src/kz-gesture.c,
	  src/kz-tab-label.c, src/kz-window.c,
	  src/bookmarks/kz-bookmark-file.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-history,
	  src/bookmarks/kz-root-bookmark.c,
	  src/mozilla/kz-mozembed.cpp,
	  src/net/kz-io.c, src/net/kz-file.c, 
	  src/net/kz-http.c, src/net/kz-xmlrpc.c,
	  src/widget/kz-thumbnail.c,
	  src/widget/kz-entry.c, src/widget/kz-paned.c:
	Remove needless g_return_if_fail().

2005-02-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-doenloader-group.c,
	  src/kz-downloader.c, src/kz-favicon.c, src/kz-gesture.c,
	  src/kz-popup-preview.c, src/kz-popup-tablist.c,
	  src/kz-prefs-win.c, src/kz-profile.c, src/kz-proxy-menu.c,
	  src/kz-sidebar.c, src/kz-tab-label.c, 
	  src/kz-thumbail-view.c, src/kz-window.c, src/main.c,
	  src/actions/kz-actions-popup.c, src/actions/kz-actions-tab.c,
	  src/actions/kz-actions.c, src/actions/kz-entry-action.c,
	  src/actions/kz-history-action.c, 
	  src/actions/kz-location-entry-action.c,
	  src/actions/kz-smart-bookmark-action.c.
	  src/actions/kz-stop-reload-actions.c,
	  src/actions/kz-zoom-action.c,
	  src/bookmarks/kz-bookmark-bar.c,
	  src/bookmarks/kz-bookmark-edit.c,
	  src/bookmarks/kz-bookmark-editor.c,
	  src/bookmarks/kz-bookmark-file.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmark-menu.c,
	  src/bookmarks/kz-bookmark-tab-menu.c,
	  src/bookmarks/kz-bookmark.c, src/bookmarks/kz-bookmarks-view.c,
	  src/bookmarks/kz-proxy-folder.c, src/bookmarks/kz-xbel.c,
	  src/dialogs/kz-about-dialog.c, src/dialogs/kz-links-dialog.c,
	  src/dialogs/kz-password-manager-dialog.c,
	  src/dialogs/kz-print-dialog.c,
	  src/khtml/kz-khtml.c,
	  src/mozilla/GtkNSSDialog.cpp, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp,
	  src/mozilla/mozilla.cpp, src/net/kz-io.c,
	  src/prefs_ui/prefs_entry.c, src/prefs_ui/prefs_external_program.c,
	  src/prefs_ui/prefs_font.c, src/prefs_ui/prefs_general.c,
	  src/prefs_ui/prefs_gesture.c, src/prefs_ui/prefs_history.c,
	  src/prefs_ui/prefs_key_accel.c, src/prefs_ui/prefs_lang.c,
	  src/prefs_ui/prefs_privacy.c, src/prefs_ui/prefs_proxy.c,
	  src/prefs_ui/prefs_tab.c,
	  src/sidebar/kz-bookmarks-sidebar.c,
	  src/sidebar/kz-downloader-sidebar.c,
	  src/sidebar/kz-tabtree.c, src/sidebar/kz-thumbnails-sidebar.c,
	  src/utils/gtk-utils.c, src/widget/kz-dlist.c,
	  src/widget/kz-entry.c, src/widget/kz-paned.c:
	Remove G_OBJECT macro when calling signal function.

2005-02-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	more strict check of releasing gesture button.
	Thanks to yos san.

2005-02-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/EmbedPrompter.[cpp|h]:
	Use GtkComboBox instead of GtkOptionMenu.

2005-02-11  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a crash when a new tab opens with Japanese link.
	Thanks to Sutou san.
	But there is still essential problem. Fix it!

2005-02-11  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	support for port number.
	Thanks to NISHIYAMA san.

2005-02-11  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed the handling of status bar.
	Thanks to NISHIYAMA san.

2005-02-10  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Enabled to open the file of which the name is written in Japanese.

2005-02-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.5.

2005-02-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Changed the background color of find area.

2005-02-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a bug that the back ground color of find area 
	does not revert to white when all of the characters is deleted
	with IM.  
	Thanks to Mukai san.

2005-02-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a bug that non-ASCII characters does not store to clipboard
	correctly.
	Thanks to Sutou san.

2005-02-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Set the location entry text to clipboard explicitly 
	when the current tab is switched.
	Thanks to Sutou san. Great!

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/Makefile.am, src/net/Makefile.am:
	Added -I$(top_builddir) for making in different directory than source.
	Thanks to NISHIYAMA san.

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-actions.c:
	Fixed a bug that the layout of the toolbar is broken when UI level is
	changed on preference dialog.
	Thanks to NISHIYAMA san.

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_entry.c,
	  src/actions/kz-location-entry-action.c,
	  src/actions/kz-smart-bookmark-action.c:
	Revert the section name.

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-actions.c:
	Fixed a crash when UI level is changed.	

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-actions.c:
	Fixed a bug that the layout of the toolbar is broken when
	UI level is changed on preference dialog.
	Thanks to NISHIYAMA san.

2005-02-07  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-actions.c:
	Call explicitly gtk_action_disconnect_proxy() to fix crash.
	But there is another crash bug. Fix it!

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.[cpp|h]:
	Fixed a prototype of GetGtkWindowForDOMWindow().
	silly!

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	Fixed a typo. silly!

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	"Global" -> "Entry".
	sorry.

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c,
	  src/prefs_ui/prefs_entry.c:
	Changed the section name of "use_auto_completion" and "
	"open_in_new_tab" to "Entty".
	Fixed crash when Apply button is pressed on preference dialog.

	* src/actions/kz-smart-bookmark-action.c:
	"entry_open_in_new_tab" -> "open_in_new_tab".

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, 
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozeventlistener.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp,
	  src/mozilla/kz-mozthumbnailcreator.cpp,
	  src/mozilla/kz-mozwrapper.cpp, src/mozilla/nsUnicharUtils.[cpp|h]:
	Drop Mozilla-1.6 support.

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c.
	  misc/boookmark_xmlrpc.rc:
	Fixed "folded" attribute value "none" to "no".
	Thanks to NISHIYAMA san.

2005-02-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozfilepicker.[cpp|h]:
	Reservation of a previous opened directory for saving files.
	Thanks to Sutou san.

2005-02-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_general.c:
	Removed entry box behaviour setting.

2005-02-04  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-loaction-entry-action.c,
	  src/action/kz-history-action.c:
	Synchronous to "use_auto_completion" setting.

2005-02-04  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_entry.c:
	Fixed a silly mistake.
	I forgot to set prefsui->changed  FALSE when APPLY and ACCEPT.

2005-02-03  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-preview.c, src/kz-window.c:
	Fixed compile errors with gcc-2.95.
	Thanks to michael johnson.

2005-02-01  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-bar.c:
	Fixed crash when a tab which has no title of page drops on the bookmark bar.
	Thanks to NISHIYAMA san.

2005-01-31  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs/prefs_entry.[c|h], src/kz-prefs-win.c:
	Added prefs_entry.

2005-01-29  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.4.

2005-01-14  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp:
	Do not show "Printer Error" dialog.
	Thanks to Sutou san.

2005-01-14  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.cpp:
	A patch for avoiding crash when redirecting pages open at one time.
	Thanks to Sutou san.

2005-01-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-**.xml, 
	  src/kazehakase.h, src/main.c, src/kz-window.c,
	  src/actions/kz-actions.[c|h], src/actions/kz-actions-popup.c,
	  src/actions/kz-actions-tab.c:
	Removed kz_ui_level_to_suffix().

2005-01-11  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Change background color of search text entry to normal color
	if search text is cleared.
	Thanks to Mukai san.

2005-01-11  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-proxy-folder.c,
	  src/sidebar/kz-thumbnsils-sidebar.c:
	Use KzProxyFolder.

2005-01-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs/prefs_general.c:
	Availablity of user-agent setting.

2005-01-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Eliminate "mailto:" from the link.

2005-01-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set history explicitly for saving "view-source" page in the current
	session.

2005-01-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-tab-menu.c:
	Suppress warnings when "view-source" page is closed.
	But "view-source" pages cannot save in the current session.
	Fix it!

2004-12-29  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.3.

2004-12-28  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thumbnails-sidebar.c:
	Revert to the codes which does not use KzProxyFolder.

2004-12-22  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed #5353(SF.jp) that mouse is held by autoscroll with gesture.

2004-12-22  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/mozilla/kz-mozwrapper.cpp:
	for Mozilla-1.7.5.
	Drop code for Mozilla-1.8a and Mozilla-1.8a2.

2004-12-13  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_tab.c:
	Wheel circulation.

2004-12-12  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-epiphany.png, 
	  data/icons/kz-firefox.png,
	  data/icons/kz-galeon.png,
	  data/icons/kz-konqueror.png,
	  data/icons/kz-mozilla.png,
	  data/icons/kz-netscape.png,
	  data/icons/Makefil.am,
	  src/kz-icons.h,
	  src/bookmarks/kz-actions-bookmark.c:
	Added icons for other browser bookmark.

2004-12-12  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc, src/kz-window.c:
	circulation of changing tab by mouse wheel.

2004-12-11  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-window.c: Changed the color of the find area
	in failing to search.

2004-12-11  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-tab-label.c, src/bookmarks/kz-bookmark-file.c:
	Enabled to close a tab with mouse middle click.

2004-12-11  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kz-ui-bookmarks.xml, src/bookmarks/Makefile.am,
	  src/bookmarks/kz-actions-bookmark.c,
	  src/bookmarks/kz-bookmark-file.c, src/utils/utils.[ch],
	  src/bookmarks/kz-w3mbookmark.[ch]:
	Added actions to insert other browsers' bookmark.
	
2004-12-10  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-tablist.c:
	Shrink popup tablist window if open tabs are few.

2004-12-10  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-tablist.[c|h], src/kz-window.[c|h],
	  src/actions/kz-actions.c:
	KzPopupTablist became GtkWindow.

2004-12-10  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed a bug that popup menu is not shown when 'use_gesture' is false.

2004-12-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_gesture.c:
	Added 'use_gesture' setting.

2004-12-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc, src/kz-window.c:
	Added 'use_gesture' flag.

2004-12-09  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thumbnails-sidebar.c,
	  src/bookmarks/kz-proxy-folder.c:
	Use KzProxyFolder.

2004-12-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Use KzProxyFolder.

2004-12-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-proxy-folder.[c|h]:
	Added kz_proxy_folder_get_original_bookmark_from_index().

2004-12-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Plugged memory leak.	

2004-12-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-tablist.[c|h], src/kz-thumbnails-view.[c|h],
	  src/actions/kz-actions.c, 
	  src/sidebar/kz-thumbnsils-sidebar.c:
	Added the parameter as 'index' in 'activate' signal of KzThumbnailsView.

2004-12-08  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-proxy-folder.[c|h]:
	Added. just added.

2004-12-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-tablist.c:
	Plugged memory leak.

2004-12-06  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[c|h], src/kz-popup-tablist.[c|h],
	  src/actions/kz-actions.c:
	The width of thumbnail tablist window set tha same of KzWindow.

2004-12-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-tab-menu.c,
	  src/sidebar/kz-thumbnails-sidebar.c:
	The postion of restoring closed tab is the same of a new tab.

2004-12-05  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kz-ui-expert.xml, src/kz-tab-label.[ch],
	  src/main.c, src/actions/kz-actions-tab.c.
	  src/actions/kz-actions.c, src/bookmarks/kz-bookmark.[ch]
	  src/bookmarks/kz-xbel.c:
	Added an auto refresh mode of tab.

2004-12-05  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-popup-preview.c: keshiwasure orz.

2004-12-05  Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-preview.c: ?

2004-12-05  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/kz-popup-tablist.[ch],
          src/kz-window.[ch], src/actions/kz-actions.c:
	Added a tablist window with thumbnails.

2004-12-04  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-popup-preview.c:
	Changed to keep aspect ratio of popup images.

2004-12-04  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-popup-preview.[ch], src/kz-window.c:
	Refactoring.

2004-12-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_general.c, src/mozilla/kz-mozembed.cpp:
	Removed 'Home'.

2004-12-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-preview.c:
	Close popup window by mouse down.

2004-12-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-popup-preview.c:
	Do not use hash table.

2004-12-03  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/kz-popup-preview.[ch],
	src/kz-window.[ch], src/main.c, src/mozilla/kz-mozembed.cpp
	Add "Popup Preview" feature.

2004-12-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	gtk-key-theme-name = "Emacs" works in textarea.
	This code is taken from Galeon-1.3.18.
	Thanks!

2004-12-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Reload the page by double click on the tab label.
	Thanks to Sutou san.

2004-12-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_privacy.c,
	  src/mozilla/kz-mozembed.cpp:
	Fixed misbehaviour about cookies.
	Fixed #5253 (SF.jp). Thanks to toshi san.

2004-11-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.2.

2004-11-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc:
	Set default autoscroll_modifier shift.

2004-11-28  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-window.c:
	Made the modifier to autoscroll configurable.

2004-11-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Store tab lock state on session saving.
	Fixed #5240 (SF.jp). Thanks to nakano san.

2004-11-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.c:
	Added "AutoScrollMode" action.

2004-11-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-autoscroller.h, src/kz-download-box.h,
	  src/kz-downloader-group.h, src/kz-downloder.h,
	  src/kz-embed.h, src/kz-favicon.h, src/kz-gesture.h,
	  src/kz-plugin.h, src/kz-prefs-win.h, src/kz-profile.h,
	  src/kz-proxy-item.h, src/kz-sidebar.h, src/kz-tab-label.h,
	  src/kz-thumbnails-view-.h, src/kz-window.h, src/kz-xml.h,
	  src/actions/kz-bookmark-action.h, 
	  src/actions/kz-entry-action.h,
	  src/actions/kz-history-actions.h, 
	  src/actions/kz-location-entry-action.h,
	  src/actions/kz-navigation-action.h,
	  src/actions/kz-smart-bookmark-action.h,
	  src/actions/kz-stop-reload-action.h,
	  src/actions/kz-zoom-action.h,
	  src/bookmarks/kz-bookmark-bar.h,
	  src/bookmarks/kz-bookmark-edit-win.h,
	  src/bookmarks/kz-bookmark-edit.h,
	  src/bookmarks/kz-bookmark-editor.h,
	  src/bookmarks/kz-bookmark-file.h,
	  src/bookmarks/kz-bookmark.h,
	  src/bookmarks/kz-bookmarks-view.h,
	  src/bookmarks/kz-history.h, src/bookmarks/kz-root-bookmark.h,
	  src/bookmarks/kz-smart-bookmark.h,
	  srd/dialogs/kz-links-dialog.h,
	  src/dialogs/kz-password-manager-dialog.h,
	  src/dialogs/kz-print-dialog.h,
	  src/khtml/kz-khtml.h,
	  src/mozilla/kz-mozdownloader.h,
	  src/net/kz-file.h, src/net/kz-http.h, 
	  src/net/kz-io.h, src/net/kz-xmlrpc.h,
	  src/sidebar/kz-bookmarks-sidebar.h,
	  src/sidebar/kz-downloader-sidebar.h,
	  src/sidebar/kz-tabtree.h, src/sidebar/kz-thumbnails-sidebar.h,
	  src/widget/kz-cellrendererprogress.h,
	  src/widget/kz-dlist.h, src/widget/kz-entry.h,
	  src/widget/kz-paned.h, src/widget/kz-thumbnail.h:
	Append G_GNUC_CONST on the tail of **_get_type() for 
	optimization of gcc.

2004-11-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-embed.[c|h], src/actions/kz-actions.c,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozwrapper.[cpp|h]:
	Added PageUp/PageDown actions.

2004-11-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-autoscroller.c:
	Minor fix.

2004-11-25  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* data/icons/Makefile.am, src/Makefile.am, src/kz-embed.[ch],
	src/kz-window.c, src/mozilla/kz-mozembed.cpp,
	src/mozilla/kz-mozwrapper.cpp, src/mozilla/kz-mozwrapper.h
	data/icons/autoscroll.xpm, src/kz-autoscroller.[ch]:
	Added "autoscroll" feature.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Call kz_actions_set_sensitive() when a tab is locked or unlocked to 
	use gestures.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set correct URI when a new tab opens in the locked tab.
	Thanks Komatsu san for your report.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.c:
	Set bookmark file state loading when a new bookmark is inserted into.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.c:
	Disconnect a signal when XML-RPC interface calling is completed.
	Emit "load-start" and "load-completed" signal when a new bookmark is inserted into.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-actions-bookmark.c:
	Enabled to remove a bookmark using bookmark editor.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-xmlrpc.c:
	Revert. because of crash.

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-xmlrpc.c:
	Do not append a param if the value is NULL or "".

2004-11-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.c:
	Enabled to insert folder using bookmark editor.

2004-11-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-downloader-group.c,
	  src/kz-downloader.c, src/kz-favicon.c,
	  src/kz-gesture.c, src/kz-profile.c,
	  src/kz-proxy-item.c, src/kz-sidebar.c,
	  src/kz-tab-label.c, src/kz-thumbnails-view.c,
	  src/kz-window.c, src/kz-xml.c,
	  src/actions/kz-location-entry-action.c,
	  src/actions/kz-smart-bookmark-action.c,
	  src/actions/kz-stop-reload-actions.c,
	  src/actions/kz-zoom-actions.c,
	  src/bookmarks/kz-bookmark-edit.c,
	  src/bookmarks/kz-bookmark-file.c,
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmark.c,
	  src/bookmarks/kz-root-bookmark.c,
	  src/bookmarks/kz-smart-bookmark.c,
	  src/net/kz-file.c, src/net/kz-http.c,
	  src/net/kz-xmlrpc-.c,
	  src/sidebar/kz-bookmarks-sidebar.c,
	  src/sidebar/kz-downloader-sidebar.c,
	  src/sidebar/kz-tabtree.c,
	  src/sidebar/kz-thumbnails-sidebar.c,
	  src/widget/kz-entry.c, src/widget/kz-paned.c,
	  src/widget/kz-thumbnail.c:
	Get rid of unnecessary casts.

2004-11-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	"Copy", "Cut" and "Paste" actions are always enabled, so 
	we cannot copy or cut or paste by short cut key in the location entry box.
	We need a selection listener in the GtkEntry. Fix it!

2004-11-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Fixed a problem that the remote bookmark which has XML-RPC interface cannot 
	be edited.

2004-11-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.[c|h],
	  src/prefs_ui/prefs_history.c:
	Added opmimization history index button.
	But it does not work yet.

2004-11-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.[c|h]:
	Added optimize function.

2004-11-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/goptions.c:
	GLib version check.	

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-file.c:
	Enabled to add an folder and an separator by XML-RPC. 

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	DnD for XML-RPC.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.c:
	Added move function.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* misc/bookmark_xmlrpc.rb:
	Added move function.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	Plugged a memory leak.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed crash.	

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/bookmarks/kz-bookmark-file.[c|h]:
	Move XML-RPC codes to KzBookmarkFile.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/main.c,
	  src/actions/kz-actions.c:
	Remove codes concerned with old style session.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	One more.
	KZ_IS_BOOKMARK_FILE -> !KZ_IS_BOOKMARK_FILE.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Fixed mistake! 
	KZ_IS_BOOKMARK_FILE -> !KZ_IS_BOOKMARK_FILE.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/Makefile.am,
	  src/mozilla/kz-mozwrapper.cpp:
	Revert nsUnicharUtils.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/mozilla/mozilla-prefs.cpp,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozlauncher.cpp,
	  src/mozilla/kz-mozeventlistener.cpp,
	  src/mozilla/kz-mozselectionlistener.cpp,
	  src/mozilla/kz-mozthumbnailcreator.cpp,
	  src/mozilla/kz-mozwraper.[cpp|h]:
	Drop Mozilla-1.5 or lower support codes.

2004-10-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.[c|h]:
	Arrangement of widgets for XML-RPC interface.

2004-10-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* misc/bookmark_xmlrpc.rb:
	Enable to add folder and separator.

2004-10-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Set bookmark ID which is given from XML-RPC server.

2004-10-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.c,
	  src/bookmarks/kz-bookmark.[c|h]:
	Cleaning.

2004-10-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-window.c. src/kz-tab-label.c,
	  src/bookmarks/kz-bookmark.[c|h], 
	  src/bookmarks/kz-actions-bookmark.c,
	  src/bookmarks/kz-bookmark-bar.c,
	  src/bookmarks/kz-bookmark-editor.[c|h],
	  src/bookmarks/kz-bookmark-item.c,
	  src/bookmarks/kz-bookmarks-view.c,
	  src/bookmarks/kz-hinadi.[c|h],
	  src/bookmarks/kz-history.[c|h],
	  src/bookmarks/kz-lirs.[c|h],
	  src/bookmarks/kz-nsbookmark.[c|h],
	  src/bookmarks/kz-rss.[c|h],
	  src/bookmarks/kz-xbel.[c|h],
	  src/actions/kz-actions.c:
	Use KzBookmarkFile.

2004-10-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-file.[c|h]:
	Get KzBookmarkFile from KzBookmark object.

2004-10-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/actions/kz-actions.c,
	  src/prefs_ui/prefs_privacy.c:
	For gcc-2.95. Fixed #1801 (Gna).
	Thanks to michael johnson.

2004-10-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Require GTK+-2.4.0. sorry, I forgot to fix it.

2004-10-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.1.

2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* misc/test_client.rb:
	Added test client for XML-RPC.

2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* misc/bookmark_xmlrpc.rb, 
	  src/Makefile.am, src/actions/kz-ations.c, 
	  src/net/Makefile.am:
	Added XML-RPC interface for shared bookmark.

2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmark.c:
	Check loading state only if bookmark is file 
	in kz_bookmark_is_loading_all_children().
	
2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-xmlrpc.c:
	more robust.
	
2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	bookmark file which has xmlrpc interface is editable.	
	
2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Added kz_bookmark_get_xml_***().
	
2004-10-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Fixed crash when a new bookmark is added into 
	remote "XBEL" bookmark.
	
2004-10-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/khtml/kz-khtml.c:
	Added find.
	
2004-10-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-xmlrpc.[c|h]:
	Added.
	
2004-10-26 Takuro Ashie <ashie@homa.ne.jp>

	* etc/kzrc: Added layout_engine setting.

2004-10-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.[c|h]:
	POST method for XML-RPC.
	
2004-10-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Manual restoring session reworked.
	It's tentative.
	
2004-10-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Plugged memory leak.
	
2004-10-24  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/actions/kz-history-action.[ch], 
	  src/actions/kz-location-entry-action.c, 
	  src/utils/migemo.[ch]:
	Refactoring and speed up the auto completion.

2004-10-23  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-history-action.[ch]:
	Fixed the leak of GtkEntryCompletion.

2004-10-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.h:
	Removed needless code.
	
2004-10-23 Takuro Ashie <ashie@homa.ne.jp>

	* src/khtml/kz-khtml.c:
	Fixed clash bug (init priv struct).

2004-10-23 Takuro Ashie <ashie@homa.ne.jp>

	* src/actions/kz-history-action.c: Added #if USE_MIGEMO condition.

2004-10-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-prefs-win.c, src/prefs_ui/prefs_general.c:
	Session preference moved to "general"
	Thanks to furyo.
	
2004-10-23  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-history-action.[ch],
	  src/actions/kz-location-entry-action.c:
	Added "Auto Completion" feature.

2004-10-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/khtml/kz-khtml.c:
	Added some functions.
	
2004-10-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/goptions.c:
	upstream change.
	
2004-10-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	removed needless code.
	
2004-10-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/khtml/kz-khtml.c:
	Added text zoom.
	
	* src/kz-embed.c, src/mozilla/kz-mozembed.cpp:
	"go up" function moved into kz-embed.c.

2004-10-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thubnails-sidebar.c:
	Closed tabs has navigation history.

2004-10-22 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed-event.h, src/kz-plugin.h, src/kz-profile.h:
	Fixed indent.

2004-10-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/khtmlMakefile.am:
	s/NRCORE/NRCIT/g

2004-10-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am:
	s/KHTML/ENABLE_GTK_WEBCORE/g

2004-10-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am:
	Added KHTML(GTK-Webcore) support.

2004-10-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.c: Select layout engine based on user configuration.
	* src/khtml/kz-khtml.c: load start page.

2004-10-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/khtml/kz-khtml.c: Added some functions.

2004-10-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/khtml/kz-khtml.c: Implemented some interfaces.

2004-10-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/khtml/Makefile.am, src/khtml/kz-khtml.c, src/khtml/kz-khtml.h:
	Added KzKHTML class. It already works on my environment, but please wait
	for a while until I modify configure.in correctly.

2004-10-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	minor fix.

2004-10-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	process of arguments when session restores.  

2004-10-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[c|h], src/kz-tab-label.c,
	  src/bookmarks/kz-bookmark-tab-menu.[c|h]:
	Closed tab have also navigation history.
	But thumbnails in the sidebar does not work yet.

2004-10-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-plugin.[ch]: Added KzPlugin class.

2004-10-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-gesture.[ch]: Sorry, gesture was broken on certain
	environment.

2004-10-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_font.c:
	fixed crash.

2004-10-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_font.c:
	Show user's setting font correctly.

2004-10-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Suppress warning.

2004-10-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gtk-utils.h:
	Fixed a problem that font settings are not saved.
	Thanks to utumi san.

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-tab-label.[c|h]:
	Presevation of last-visited time in tab history.
	
	* src/mozilla/kz-mozembed.cpp:
	Revert previous.
	"kz-net-stop" signal emits by "about:blank".

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Do not emit "kz-net-stop" signal when the first "about:blank" loading is finished.	

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[c|h], src/kz-tab-label.[c|h]:
	Minor fix.

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	The first "about:blank" does not store in tab history.

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-action.c:
	Again! Fixed crash when exitting kazehakase if location entry has no history.
	Thanks to utumi san.

2004-10-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-action.c:
	Fixed crash when exitting kazehakase if location entry has no history.
	Thanks to utumi san.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set loading tab label color correctly.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	comparison of last-modified and last-visited.
	but still incomplete.
	
	* src/kz-embed.[c|h], src/mozilla/kz-mozembed.cpp:
	Added get_last_modified.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c, src/mozilla/kz-mozembed.cpp:
	Set "last-visited" time to the bookmark in self_bookmark 
	when label state become KZ_TAB_LABEL_STATE_NORMAL.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Update each child bookmark in history folder instead of 
	replacing whole child bookmarks.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Fix incorrect encoding change. 	

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_tab.c:
	Use gdk_color_parse() instead of pango_color_parse().

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Removed cb_close_button_state_changed(). 
	This function is no more need.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favcion.[c|h], src/kz-tab-label.c,
	  src/mozilla/kz-mozeventlistener.[cpp|h],
	  src/mozilla/kz-mozembed.[cpp|h]:
	Removed "favicon" signal.

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/mozilla/kz-mozembed.cpp:
	Removed "destroy-embed" signal.	

2004-10-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set "KzMozEmbed::ThumbnailCreator" to KzWindow.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.h, src/mozilla/kz-mozembed.cpp:
	Init signal funcs of KzEmbedIFace and changed timing of emitting
	kz-net-stop. saki kosareta ngaaaaa(w

2004-10-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set is_loading before emission of signal. 

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.c, src/mozilla/kz-mozembed.cpp:
	Wrapped dom-mouse-* signals.
	dom-mouse-over and dom-mouse-out is not wrapped yet.
	I'll wrap it when really these signals are used.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.c, src/kz-embed-event.[ch], src/kz-window.c,
	  src/mozilla/kz-mozembed.cpp:
	Wrapped dom-key-* signals and fixed some typo and bugs.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.c: Sweeped remaining "moz" strings except dom-* signals.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/dialogs/kz-links-dialog.c: Do not include mozilla.h.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-downloader-group.c, src/kz-downloader-group.h,
	  src/kz-embed.h, src/kz-tab-label.c, src/kz-window.c,
	  src/actions/Makefile.am, src/actions/kz-actions-popup.c,
	  src/actions/kz-actions.c, src/bookmarks/Makefile.am,
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozprogresslistener.cpp,
	  src/sidebar/Makefile.am, src/sidebar/kz-tabtree.c:
	Wrapped signals for mozilla except dom-mouse-* and dom-key-*.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.h, src/actions/kz-actions-tab.c,
	  src/actions/kz-actions.c, src/actions/kz-stop-reload-action.c:
	Removed "_FLAG" from KzEmbedReloadFlag and fixed indent.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-favicon.[ch], src/kz-tab-label.[ch], src/kz-window.[ch],
	  src/main.c, src/actions/kz-actions-download.c,
	  src/actions/kz-actions-popup.c, src/actions/kz-actions-tab.c,
	  src/actions/kz-actions.[ch], src/actions/kz-location-entry-action.c,
	  src/actions/kz-navigation-action.c,
	  src/actions/kz-smart-bookmark-button-action.c,
	  src/actions/kz-stop-reload-action.c, src/actions/kz-zoom-action.c,
	  src/bookmarks/Makefile.am, src/bookmarks/kz-history.c,
	  src/dialogs/kz-links-dialog.[ch], src/mozilla/kz-mozembed.[cpp,h],
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozeventlistener.cpp,
	  src/prefs_ui/prefs_general.c, src/prefs_ui/prefs_ui_editor.c,
	  src/sidebar/kz-tabtree.c:
	Wrapped almost all functions of KzMozEmbed by KzEmbed.
	But signals and mozilla_prefs aren't wrapped yet.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.c: Added "kz-" prefix for signals.
	Set default text size to 100.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.[ch]: implemented functions.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.[ch], src/kz-marshalers.list:
	Added remaining signals and fixed typo.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.c, src/kz-embed.h, src/kz-window.c:
	Removed visibility callback.

2004-10-17 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.h: Copy & Paste is wonderful. iha!
	sense-region-mode.el is also wonderful!
	* src/prefs_ui/prefs_proxy.c: Removed needless header.

2004-10-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Fixed crash.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h], src/bookmarks/kz-bookmarks-view.c
	  src/bookmarks/kz-bookmark-edit.[c|h], src/bookmarks/kz-xbel.c,
	  src/bookmarks/kz-actions-bookmark.c,
	  src/bookmarks/kz-smart-bookmark.[c|h],
	  src/actions/kz-actions.c, 
	  src/actions/kz-location-entry.[c|h],
	  src/actions/kz-smart-bookmark-action.c:
	Just part KzSmartBookmark from KzBookmark.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/kz-tab.c:
	Session is preserved when dropping tab inter-window.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Fixed buggy behaviour when dropping tab inter-window.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/kz-tab.c:
	Minor fixes for buggy behaviour when dropping tab inter-window.
	But there are stil...

2004-10-15 Takuro Ashie <ashie@homa.ne.jp>

	* configure.in; Added some gcc options to detect careless miss.
	* src/kz-downloader.h, src/kz-prefs-win.h, src/kz-profile.c,
	  src/kz-tab-label.h, src/kz-xml.h, src/main.c,
	  src/actions/kz-actions.c, src/actions/kz-smart-bookmark-action.c,
	  src/bookmarks/kz-bookmark-filter.c, src/dialogs/kz-about-dialog.c,
	  src/mozilla/kz-mozwrapper.cpp, src/net/kz-file.h, src/net/kz-io.[ch],
	  src/widget/kz-entry.h:
	Minor Fixes.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Plugged a memory leak.

2004-10-15 Takuro Ashie <ashie@homa.ne.jp>

	* src/actions/kz-actions-popup.c: Fixed coding style.
	* src/kz-xml.c: Removed needless semicolon.
	* src/prefs_ui/prefs_external_program.c,
	  src/prefs_ui/prefs_font, src/prefs_ui/prefs_general.c,
	  src/prefs_ui/prefs_gesture.c, src/prefs_ui/prefs_lang.c,
	  src/prefs_ui/prefs_tab.c, src/utils/gtk-utils.c: Minor fix.

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kazehakase.h,
	  src/kz-window.[c|h], src/kz-tab-label.[c|h]:
	Restoring current tab position when session restores.
	Tracking tab position in kz->self_bookmark when using drag&drop tab.
	
2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_tab.c:
	Tab label color selection.
	This code was written by Ryo Shimizu <furyo@on-air.ne.jp>. Thanks!

2004-10-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-window.[c|h], src/kz-tab-label.[c|h],
	  src/actions/kz-actions.[c|h], 
	  src/bookmarks/kz-root-bookmark.[c|h]:
	Saving session is automatically executed.
	now kazehakase can recover from crash if save session option is enabled. 

2004-10-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Check GLib version.

2004-10-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Plugged memory leak.

2004-10-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Save kz_session after previous session data was deleted.

2004-10-13 Takuro Ashie <ashie@homa.ne.jp>

	* configure.in, etc/Makefile.am, etc/mozilla/Makefile.am,
	  etc/mozilla/encodings.xml, src/actions/Makefile.am,
	  src/actions/kz-actions-popup.c:
	Load encodings menu from external XML file.
	Now we should use intltool for translating XML file.
	* src/kz-xml.c: Fixed stupid message.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Session is handled with KzBookmark object.
	Now we can also handle navigation history.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.[c|h]:
	Tab has a bookmark folder for session handling.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-bookmar.c:
	Implemented kz_bookmark_load() for non-blocking I/O.
	But it is available only for local bookmark.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixed locked tab does not load correctly when session restores.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-xbel.c:
	Set lock state and current position for newly folder.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h], src/bookmark/kz-xbel.c:
	Added a property of lock state for tab locking.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmark/kz-xbel.c:
	typo "current_position" -> "current"

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.[cpp|h]:
	Added kz_moz_embed_(get/set)_history() for bookmarkize of tabs.

2004-10-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h], src/bookmark/kz-xbel.c:
	Added a property of current position for bookmarkize of tabs.

2004-10-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h], src/bookmark/kz-xbel.c:
	Added properties of XML-RPC interface of shared bookmark.
	There are a lot of works.

2004-10-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c, src/main.c:
	unify make dir process.

2004-10-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-comboboxentry.[c|h]:
	Added.

2004-10-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Cleaning.

2004-10-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Label color on tab list uses the color in kzrc.
	Thanks to furyo.

2004-10-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixed a crash when a new window opens from popup menu.
	Close #5071(SF.jp). Thanks to seitaro.
	
2004-10-08 Takuro Ashie <ashie@homa.ne.jp>

	* src/mozilla/kz-mozeventlistener.cpp: Fixed compile error.

2004-10-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Set location in kz_moz_embed_load_url() for getting favicon address.	
	
2004-10-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-actions.[c|h],
	  src/actions/kz-location-entry--action.c:
	Change history order.
	
2004-10-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-entry-action.c,
	  src/actions/kz-history-action.[c|h]:
	Use GtkComboBox instead of GtkCombo.
	TODO: Change history order.
	
2004-10-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-sidebar.[c|h],
	  src/prefs_ui/prefs_font.c, src/prefs_ui/prefs_general.c,
	  src/prefs_ui/prefs_lang.c, src/prefs_ui/prefs_tab.c,
	  src/utils/gtk-utils.h:
	Use GtkComboBox instead of GtkOptionMenu and GtkCombo.
	
2004-10-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h], src/bookmarks/kz-xbel.c:
	Added ID property.
	
2004-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.[cpp|h],
	  src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/kz-mozeventlistener.[cpp|h]:
	Now KzMozEventListener works!
	
2004-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[h|cpp}:
	Use NS_LITERAL_STRING.
	
2004-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp,
	  src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozthumbnailcreator.cpp,
	  src/mozilla/kz-mozwrapper.cpp:
	Use NS_LITERAL_STRING.
	
2004-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	set "-fshort-wchr" into $CXXFLAGS. 
	this makes NS_LITERAL_STRING working!
	
2004-09-30  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/utils/goption.[ch], src/main.c,
	src/utils/Makefile.am:
	Merged GOption.

2004-09-30 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmark-bar.[ch],
	  src/bookmarks/kz-bookmark-item.[ch],
	  src/bookmarks/kz-bookmark-menu.[ch]:
	Moved.

2004-09-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* many files:
	Removed codes for GTK+-2.2.x.
	
	* src/dialogs/kz-password-manager-dialog.[c|h],
	  src/dialogs/kz-about-dialog.[c|h],
	  src/dialogs/kz-links-dialog.[c|h]:
	Moved.

2004-09-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp:
	Show correct button labels on dialog. 
	Thanks to ukai san.

2004-09-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.2.0.

2004-09-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	include "glib-utils.h".

2004-09-28 Takuro Ashie <ashie@homa.ne.jp>

	* src/utils/utils.c: Implemented "mkdir -p" like feature because "clips"
	directory isn't created correctly.

2004-09-28 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po, src/kz-window.c: Set initial window title.

2004-09-28 Takuro Ashie <ashie@homa.ne.jp>

	* src/actions/kz-actions.c: Fixed some messages to adapt to HIG.
	* src/prefs_ui/prefs_privacy.c: Added some mnemonics.
	* po/POTFILES.in, po/ja.po: Updated.

2004-09-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-navigation-action.s:
	Back button works! Thanks to utumi san.

2004-09-27 Takuro Ashie <ashie@homa.ne.jp>

	* po/POTFILES.in, po/ja.po: Updated.

2004-09-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	return correct bookmark from kz_bookmark_find_bookmark_from_uri().

2004-09-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	The string gives to migemo is duplicated by g_strdup(),
	because const string cannot be handled correctly by migemo.

2004-09-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Save session file when session stores.

2004-09-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-medium.xml, etc/kz-ui-expert.xml:
	Added "NavigationBack" Button on tool bar.

2004-09-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thumbnails-sidebar.c:
	remove "History search" view.

2004-09-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[c|h], src/mozilla/kz-mozembed.cpp:
	Create KzMozThumbnailCreator if "create thumbnail" option is true.

2004-09-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-navigation-action.c:
	"Go back" menu works fine. 

2004-09-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Set "visited" time if the page was loaded exists in system bookmark. 

2004-09-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.[cpp|h]:
	After loading a page, load "about:blank" to avoid going on
	play music (e.g. flash ).

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozutils.[cpp|h],
	  src/mozilla/kz-mozfilepicker.cpp,
	  src/mozilla/kz-mozprintinfpromptservice.cpp,
	  src/mozilla/GtkPromptService.cpp:
	Added kz-mozutils for getting a parent GtkWindow.

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp:
	Show a dialog if not print preview error.

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Removed g_print("failed to get location!\n");.

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Added URI in the search results.

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h]:
	Added kz_bookmark_find_bookmark_from_uri().

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.cpp:
	Remove kz_moz_thumbnail_creator_can_go_forward() and go_forward().

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Remove idl_create_thumbnail().

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.cpp:
	call gtk_moz_embed_stop_load() before the next page will be loaded.

2004-09-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_general.c:
	Added creating thumbnail option.

2004-09-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Fixed a crash bug that the external editor is closed 
	when the target embed does not already exist.

2004-09-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_general.c:
	Added creating thumbnail option.

2004-09-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintingpromptservice.cpp:
	Fixed a bug that printing to file does not work if file does  not exist.

2004-09-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed a crash bug.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/migemo.c, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Migemo acts better.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Cut the filename tail after '#'.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.[cpp|h], src/mozilla/kz-mozembed.[cpp|h]:
	Added go to the index of the history function.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/migemo.c:
	Plugged memory leaks.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Use str_isdigit().

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.[cpp|h]:
	removed creating thumbnail process.

2004-09-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[ch], src/mozilla/kz-mozembec.cpp,
	  src/mozilla/kz-mozthumbnailcreator.[cpp|h]:
	Set KzThumbnailCreator (a widget for creating thumbnails) in the 
	status bar on Kzwindow.
	It's a bad way, but there's no way.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Do not use global print settings for creating thumbnail.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Removed mDOMWindow->GetDocument() from KzWapper::Init()
	because of inactivity of the gestures.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/dialogs/kz-print-dialog.[ch], src/mozilla/mozilla.cpp,
	  src/mozilla/kz-mozprintingpromptservice.cpp:
	Implemented our original print dialog.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gtk-utils.[ch], src/kz-download-box.c,
	  src/actions/kz-actions-download.[ch]:
	Added gtkutil_confirm_file_replace().

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-favicon.c:
	Use g_build_filename() instead of g_strconcat().

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.cpp:
	Do not use global print settings.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintingpromptservice.[cpp|h]:
	Added the original print dialog. But still nothing in it.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkPromptService.cpp:
	Set dialog title correctly.

2004-09-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.[cpp|h]:
	Added GetHistoryEntry().

2004-09-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	clipping bookmark file name changed to clip.xml.
	Sorry I made a mistake.

2004-09-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	remove "?" from the filename for clipping.
	Gecko does not handle the filename including "?".

2004-09-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/kz-window.c,
	  src/actions/kz-actions.c:
	Added clip menu.

2004-09-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/dropdowntoolbutton/eggdropdowntoolbutton.c:
	upstream changes.

2004-09-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/main.c,
	  src/actions/kz-actions-popup.c, src/actions/kz-actions.c,
	  src/bookmarks/kz-bookmark.c,
	  src/bookmarks/kz-root-bookmark.[ch],
	  src/mozilla/kz-mozembed.[cpp|h],
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Added "clipping selection" feature.
	Scrap Bookmark was replaced by this feature.

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Fixed silly mistakes.
	g_value_get_int() -> g_value_get_uint().

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozthumbnailcreator.[cpp|h],
	  src/mozilla/kz-mozthumbnailprogress.[cpp|h]:
	added.

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	added "visited" and "added" property.
	
	* src/utils/utils.[c|h]:
	added str_isdigit() function.

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[c|h]: 
	"visited" -> "last-visited", "added" -> "added-time"

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* widget/kz-thumbnail.c:
	suppress warning.

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	for Mozilla-1.7.3.

2004-09-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	gtk_window_parse_geometry() needs to be called before gtk_widget_show().	

2004-09-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	GetDoingPrintPreview() -> GetDoingPrint().

2004-09-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-window.c: 
	support -geometry option.
	Close #634(Gna!).

2004-09-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-font-(increase|decrease).png,
	  src/kz-icons.h, src/actions/kz-actions.c:
	Added icons from http://jimmac.musichall.cz/.

2004-09-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Added "visited" and "added" properties.

2004-09-15  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/main.c: Changed to create new tab when invoked with
	a command line option of uri, and enabled action command
	line option when there is no kazehakase process.
	(Thanks to Jun Mukai <mukai@jmuk.org>)

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/glib-utils.[ch], mozilla/GtkNSSDialogs.cpp,
	  src/libegg/dropdowntoolbutton/eggdropdowntoolbutton.[ch]:
	for GTK+-2.2.x.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozwrapper.cpp:
	more robust.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c:
	GTK_WIDGET_REALIZED() -> GTK_WIDGET_VISIBLE() and NULL check.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c:
	working correctly on beginner and medium user levels.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/bookmarkbar.xml:
	new format. sorry I fotgot to fix this file.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	suppress a warning when UI level changes.

2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	In kz_tab_label_init(), 
	call kz_tab_label_sync_profile() before kz_tab_label_set_text().
	
2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.c:
	return NULL.
	
2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Fix for Mozilla-1.6.
	
2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkNSSDialogs.cpp:
	Fix for Mozilla-1.6.
	
2004-09-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Label color selection.
	
2004-09-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-navigation-action.[ch],
	  src/actions/kz-actions.c:
	Added Navigation action.
	
2004-09-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/dropdowntoolbutton.[ch]:
	Added.
	
2004-09-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, 
	  src/actions/kz-location-entry-action.[c|h]:
	LocationEntry action is created before smart bookmark loads.
	
2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view, src/bookmark/kz-xbel.c,
	  src/bookmark/kz-scrap-bookmark.c,
	  src/actions/kz-smart-bookmark-actions.c:
	Plugged memory leaks.  ( need g_value_unset() after g_value_init() )
	
2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Instantiate  "about:blank" (from Galeon-1.3.17).
	
2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c:
	Fixed a crash bug.
	
	* src/sidebar/kz-downloader-sidebar.c:
	plugged memory leak.

2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.[ch]:
	kz_actions_set_tab_sensitive() is got from kz_actions_set_sensitive().
	I wish this makes performance up.

2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/mozilla/kz-mozembed.[cpp|h]:
	Code cleaning. kz_moz_embed_go_xx() is united kz_moz_embed_go_nav_link().

2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkNSSDialogs.cpp:
	Rearrangement of widgets.

2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.cpp:
	kz_moz_embed_selection_is_collapsed() works in framed page.

	* src/mozilla/kz-mozembed.[cpp|h]:
	Changed gchar *kz_moz_embed_store_history_file() to
	static gchar *mozilla_store_history_file().
	
	* src/mozilla/kz-mozwrapper.cpp:
	minor fixes.

2004-09-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Extracting links works in framed page.	

2004-09-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixe a bug that history cache does not store 
	when "create_thumbnail" option is not "yes".

2004-09-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/actions/kz-actions.c: 
	Added increase/decrease text size actions.

2004-09-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.[cpp|h],
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Added Zoom function (with images).

2004-09-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c:
	Right click on thumnail do nothing.

2004-09-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/search-result.css:
	text-size -> font-size.

2004-09-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c:
	Change the tooltip text.

2004-09-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c, src/utils/estsearch.c,
	  src/mozilla/kz-mozwrapper.cpp,
	  src/widget/kz-thumbnail.c:
	Thumbnail size made bigger.	

2004-09-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/GtkNSSDialogs.[cpp|h],
	  src/mozilla/GtkPromptService.[cpp|h],
	  src/mozilla/EmbedPrompter.[cpp|h],
	  src/mozilla/mozillz.cpp:
	Added dialogs for SSL certification etc.

2004-09-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Autodetection dropped link is rss or not.

2004-09-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Removed the element of old format.

2004-09-07 Takuro Ashie <ashie@homa.ne.jp>

	* src/sidebar/kz-downloader-sidebar.c: Set progress bar.

2004-09-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_key_accel.c:
	#include "glib-utils.h".
	Thanks to furyo.

2004-09-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Check KzMozEmbed is alive when the external editor exits.

2004-09-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Set correct zoom ratio 
	when "Zoom In" or "Zoom Out" or "Normal Size" on the menu is selected .

2004-09-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c:
	Set correct zoom ratio when tab switches.

2004-09-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c, src/actions/kz-actions.c
	  src/kz-window.c, src/mozilla/kz-mozembed.cpp:
	Added zoom action.

2004-09-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-zoom-action.c:
	Added.

2004-09-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	Use no-blocking io to create thumbnail.	

2004-09-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gtk-utils.[ch], src/utils/utils.c:
	gdk_pixbuf_simple_rotate() moved to gtk-utils.c.

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	Now creating thumbnail process does not need convert.
	Use gs command directly.

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixed crash.

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	To use the gesture in empty tab, 
	the first url start to load after "about:blank" was loaded.
	Fixed #4474(SF.jp).

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Preventing to insert children bookmark twice.
	Fixed #4527(SF.jp).

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_key_accel.c:
	Set new accel name only if the new one does not equal the old one..
	Fixed #488(Gna).

2004-09-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	Removed gtk_grab_focus() in cb_bookmark_remove().
	Fixed #4900 in SF.jp and #525 in Gna?

2004-08-31  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions.c:
	Use kz_window_load_url() instead of kz_moz_embed_load_url() when "Open file".
	Close #4927 in SF.jp. Thanks to kto.

2004-08-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	On start up time, hide proxy menu if proxy does not use.	

2004-08-31  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions.c: Changed to enable "Open" when
	there is no tab.

2004-08-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch],
	  src/mozilla/kz-mozembed.[cpp|h]:
	Creating thumbnail and storing history file are called 
	only if the last modification time of the page is newer than
	the previous thumbnails and history file.
	
2004-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	removed set_old_smart_list_settings().
	
2004-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-prefs-win.c, src/prefs_ui/Makefile.am:
	removed prefs_location_entry.	
	
2004-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[ch]: 
	Added bookmark object for history search result.	
	
2004-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/Makefile.am, src/mozilla/kz-mozembed.[cpp|h], 
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	Added functions for zooming.	
	
2004-08-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.9.
	
2004-08-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-actions-bookmark.c:
	The shortcut key of removing bookmark changed to CTRL+Delete.
	
2004-08-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml:
	Added undo/redo in popup menu,
	
2004-08-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Fixed a bug that bookmark editor open with an wrong bookmark folder
	when the bookmark folder on the bookmark bar is clicked.
	Thanks to nakano san.
	Close bug #4902 in SF.jp.
	
2004-08-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml, src/actions/kz-actions.c,
	  src/mozilla/kz-mozembed.[h|cpp].:
	Added undo/redo features.
	
2004-08-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui_prefs_history.c:
	Added some options for history search.
	
2004-08-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Added some options for history search.
	
2004-08-24  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/mozilla/kz-mozwrapper.cpp:
	Fix a segfault bug in trying to search in DetailedPreference.
	(Thanks to Eto Yasuo <yasuoeto@gmail.com>)

2004-08-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.cpp:
	for Mozilla-1.8a3.
	
2004-08-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* kazehakase.spec.in:
	%requires_eq mozilla.
	
2004-08-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, msrc/utils/utils.[ch]:
	make dir for thumbnails.
	
2004-08-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	include "glib-utils.h".	
	
2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/estsearch.c:
	Use -list option when "estindex purge"	is called.
	
2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	estsearch_purge_index() calls only if puring files exist.
	
2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/bookmarks/kz-history.c:
	The proccess of purging history cache moved to main.c.
	
2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Create thumbnail if "history-search" scheme.

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Remove tags from the description of result bookmark.

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.[ch]:
	Added estsearch_get_result_bookmark() and some minor fixes.

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thumbnails-sidebar.[ch]:
	"Thumbnails" -> "Closed tabs".

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Expanded smart bookmark property field.

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/kz-window.c,
	  src/actions/kz-actions.c:
	Added "Recent close tabs".

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[ch], src/kz-tab-label.c,
	  src/kz-thumbnails-view.c, src/bookmarks/kz-history.c,
	  src/sidebar/kz-thumbnails-sidebar.c:
	Added a bookmark object for closed tabs history in KzWindow,
	Thumnbnails sidebar using it instead of KzHisoty.

2004-08-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	When a new window creates, 
	open a new tab only if url sets to the argument of kz-window_new(). 

2004-08-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c:
	Rearrangement of thumbnails when widget size changes.

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	include "glib-utils.h".
	Thanks to furyo.

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c:
	Arrangement of thumbnails on PLANE mode.

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.[ch]:
	Added "activate" signal in KzThumbnailsView.
	
	* src/sidebar/kz-thumbnails-sidebar.c:
	Open a new tab when the thumbnail is pressed. 

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c, src/kz-profile.c,
	  src/utils/glib-utils.h:
	g_strlen() and g_strcmp() moved to glib-utils.h.	

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c, src/sidebar/kz-thumbnails-sidebar.c:
	Thumbnails in KzThumbnailsView are redrawn 
	when thumbnail view mode changes.

2004-08-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-thumbnails-sidebar.[ch],
	  src/widget/kz-paned.[ch]:
	Added "changed_position" signal in KzPaned for redraw KzThumbnailsView.	

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/bookmarks/kz-history.[ch],
	  src/mozilla/kz-mozembed.cpp:
	Storing cache moved in KzMozEmbed.

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	The thumbnail is created only if the scheme is "http" or "https" or "file". 

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c, src/bookmarks/kz-bookmark-edit.c,
	  src/widget/kz-thumbnail.[ch]:
	Added kz_thumbnail_set_thumbnail_from_uri().

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefie.am, src/kz-thumbnails-view.c, 
	  src/bookmarks/Makefile.am, src/bookmarks/kz-bookmark-edit.c,
	  src/widget/kz-thumbnail.[ch]:
	Added KzThumbnail widget.
	Use KzThumbnail instead of ThumbnailPreview.

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.[ch]:
	Added kz_thumbnails_view_set_mode().

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c,
	  src/mozilla/kz-mozembed.cpp:
	No not create thumbnail and store history cache 
	when the scheme is "chrome". 

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Closed tab appends to KzHistory. this is test.	

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-sidebar.c, src/sidebar/kz-thumbnails-sidebar.[ch]:
	Added kz-thumbnails-sidebar.

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c:
	minor fix.	

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c, src/prefs_ui/prefs_history.c:
	Added the option for storing history cache.

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch], src/utils/estsearch.[ch],
	  src/bookmarks/kz-history.c:
	Changed the argument of estsearch_purge_index().

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.c:
	kz-bookmark_prepend() works correctly.

2004-08-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Not to create thumbnail when the page source is viewing or
	history search or history cache is viewing.

2004-08-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Support for Mozilla-1.7.2.

2004-08-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/main.c,
	  src/utils/estsearch.[ch]:
	Added estsearch_get_version().

2004-08-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.[ch]:
	minor fixes.	

2004-08-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-thumbnails-view.[ch]:
	Added KzThumbnailsView.

	* data/no_thumbnail.png:
	Added an image for no thumnbnail page.
	
2004-08-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Remove const.

2004-08-09 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.c, src/main.c, src/bookmarks/kz-bookmark-edit.c,
	  src/bookmarks/kz-bookmarks-view.c, src/bookmarks/kz-history.c,
	  src/prefs_ui/prefs_lang.c, src/widget/kz-entry.c:
	Plugged memory leaks.

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintprogresslistener.cpp:
	moved converting image process in destructor.

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c, 
	  src/mozilla/kz-mozembed.cpp:
	Moved creating thumbnail proccess to KzMozEmbed.	

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	Changed setting name "use_thumbnail" to "create_thumbnail".

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Adde thumbnail.
	We need to rearrange it.

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	Changed parent_class.

2004-08-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrpper.cpp:
	Added the process of checking print preview.

2004-08-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/thumbnailpreview: 
	Added.

2004-08-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Removed needless codes.	

2004-08-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintprogresslistener.cpp:
	Paper size changed "Legal" to "Letter".

2004-08-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintprogresslistener.cpp:
	Now thumbnail is created automatically..

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	Do not store "view-source" scheme page.	

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c, utils/util.c,
	  src/mozilla/kz-mozprintprogresslistener.cpp:
	Create thumbnail after the page loading.

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/regex moved to src/libegg/regex.

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintprogresslistener.cpp:
	Added deletion of ps file process.

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch]:
	Added the function that converting ps to png using convert command in
	ImageMagick.
	We should implement our own conversion function.

	* src/mozilla/kz-mozembed.[cpp|h], src/mozilla/kz-mozwrapper.[cpp|h]:
	Added createing thumbnail method.
	But it does not work yet.

2004-08-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprintprogresslistener.[cpp|h]:
	Added KzMozPrintProgressListener for creating thumbnail.

2004-08-05 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.h: Minor fix.
	* src/kz-embed.c: Install some signals.

2004-08-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-action.c:
	Added "OpenSelectedText" action.

2004-08-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c, src/mozilla/kz-mozhistorysearch.cpp:
	Set thumbnail image uri in the result page of history search..

2004-08-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/pixbufthumbnail/Makefile.am,
	  src/libegg/pixbufthumbnail/egg-pixbuf-thumbnail.c:
	Minor fixes for GTK+-2.2.x.

2004-08-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/gtk24backports/Makefile.am:
	Added "\". sorry I forgot it.	

2004-08-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am,
	  src/libegg/md5, src/libegg/pixbufthumbnail:
	Added md5 and pixbufthumbail libraries.

2004-08-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.c:
	Plugged a memory leak.
	Close bug http://sourceforge.jp/tracker/index.php?func=detail&aid=4741&group_id=388&atid=1529.

2004-08-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/action/kz-history-action.c:
	Fixed a bug that the location entry cannot accept capital letters.
	Thanks to atzm san.

2004-08-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c, src/mozilla/kz-mozhistorysearch.cpp:
	Adde a css file for history search.

2004-08-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* kazehakase.spec.in:
	update.

2004-08-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Use favicon if exist.

	* src/widget/kz-entry.c:
	Show arrow even if the icon is pixbuf.
	
2004-08-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	more robust.	
	
2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Set icons to menuitem on popup menu.
	
2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Use selected bookmark correctly.
	
2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Fixed a bug that back reference cannot be  used only once. 
	
	* src/utils/utils.[ch]:
	Added ensure_encode_string() function.

2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Fixed crash bug.	
	
2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-folder-search.png, data/icons/kz-book-search.png,
	  data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-smart-bookmark-action.c:
	Added KZ_STOCK_BOOK_SEARCH, KZ_STOCK_FOLDER_SERCH.
	
2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Update icon and background text when the bookmark order changes.

2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Popup menu is shown under the icon.

2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.[ch],
	  src/actions/kz-smart-bookmark-action.c:
	Show arrow if bookmark is folder.

2004-08-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-actions.[ch]:
	Added "open all smart bookmarks" on the popup menu 
	which is shown when the icon is pressed.
	
2004-08-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-actions.c:
	connect "insert-child" and "remove-child" signal to bookmark.
	
2004-08-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/actions/kz-actions.c:
	Added "Edit smart bookmark" menu in main manu bar.
	
2004-08-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_proxy.c:
	"Use same proxy" button works correctly.
	
2004-08-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Added EditSmartBookmarks Action.
	
2004-07-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Open new multi-tabs when smart bookmark entry has a folder in
	which has smart bookmarks.
	
2004-07-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-select-all.png, data/icons/kz-view-source.png,
	  data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-actions.c:
	Added KZ_STOCK_SELCT_ALL, KZ_STOCK_VIEW_SOURCE.
	These icons are picked from gnome-icon-theme.
	
2004-07-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.c,
	  src/actions/kz-location-entry-action.c:
	Renamed "SearchbySelection" action to "OpenSelection".
	Use "OpenSelection" on middle clicking rendering region.

2004-07-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-proxy-item.[ch], src/kz-window.c,
	  src/mozilla/mozilla-prefs-[cpp|c], src/mozilla/mozilla.cpp,
	  src/net/kz-http.c, src/prefs_ui/prefs_proxy.c,
	  src/actions/kz-actions.c:
	Added ToggleProxyUse action.

2004-07-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	wrap find works correctly.

2004-07-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/Makefile.am, etc/kzrc,
	  etc/kzrc, src/utils/utils.[ch],
	  src/prefs_ui_prefs_external_program.c,
	  src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozwrapper.[cpp|h]:
	removed kzmigemo.

2004-07-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.8.1.

2004-07-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Fixed a crash bug when a new smart bookmark is added.
	Thanks to mukai san.

2004-07-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/Makefile.am, src/gtk24backports/Makefile.am:
	*marshalers.[ch] set to nodist.

2004-07-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.8.

2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-openselectedlink.png,
	  data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-actions.c:
	Added KZ_STOCK_OPEN_SELCTED_LINK.
	
2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-xml.c:
	Plugged a memory leak. 

2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-closeforward.png,
	  data/icons/kz-closebackward.png,
	  data/icons/kz-openlinkwindow.png,
	  data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-actions.c,
	  src/actions/kz-actions-tab.c,
	  src/actions/kz-actions-popup:
	Added KZ_STOCK_CLOSE_FORWARD, KZ_STOCK_CLOSE_BACKWARD,
	KZ_STOCK_OPEN_LINK_WINDOW.
	
2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-copyimagelocation.png,
	  data/icons/kz-openimagewindow.png,
	  data/icons/kz-savelink.png
	  data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-actions-popup.c:
	Added KZ_STOCK_COPY_IMAGE_URL, KZ_STOCK_OPEN_IMAGE_WINDOW,
	KZ_STOCK_SAVE_LINK.
	
2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-io.c, src/net/kz-http.c:
	Plugged a memory leak. 
	Close bug http://sourceforge.jp/tracker/index.php?func=detail&aid=4741&group_id=388&atid=1529.

2004-07-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Arrangement of smart bookmarks correctly on second window. 
	
2004-07-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-prefs-win.c:
	Store window size.
	
2004-07-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c:
	Set stock item to actions.
	
2004-07-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-newindow.png, data/icons/Makefile.am,
	  src/kz-icons.h, src/actions/kz-actions.c,
	  src/bookmarks/kz-actions-bookmark.c:
	Added KZ_STOCK_NEW_WINDOW.
	
2004-07-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-closewindow.png, data/icons/kz-copyurl.png
	  data/icons/Makefile.am, src/kz-icons.h, 
	  src/actions/kz-actions.c, src/actions/kz-actions-tab.c,
	  src/actions/kz-actions-popup.c:
	Added KZ_STOCK_CLOSE_WINDOW, KZ_STOCK_COPY_URL.
	
2004-07-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* acconfig.h: Removed
	
2004-07-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Show history icon if the link of its bookmark is "history-search:".	
	
2004-07-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/actions/kz-smart-bookmark-action.c:
	Do not show HistorySearch Entry if estindex is not installed.	
	
2004-07-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed a bug that the bookmark bar cannot edit.
	
2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Open KzBookmarkEdit when RemoteBookmark on the bookmark bar edits.	
	
2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	estindex purge and optimize are called if limitation of history cache is enabled. 
	
2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-button-action.[ch]:
	Added KzSmartBookmarkButtonAction.

2004-07-23 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.h: Added some virtual functions.

2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-editor.c:
	Grab focus to moved entry of smart bookmark property 
	when the entry moves up and down.
	
2004-07-23 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po: Updated.

	* src/actions/kz-actions.c:
	Changed a message(Add bookmark -> Add to bookmarks).

	* src/bookmarks/kz-actions-bookmark.c: Revived popup menu.

2004-07-23 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-embed.[ch]: Added.

2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-icons.h,
	  src/bookmarks/kz-actions-bookmark.c,
	  src/bookmarks/kz-bookmark-editor.c,
	  src/bookmarks/kz-bookmarks-view.c:
	Added SmartBookmark icon.
	
2004-07-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed tooltip descriptions.
	
2004-07-22 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.h: Fixed indent.

2004-07-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/actions/kz-smart-bookmark-action.c:
	Handling bookmark folder in KzSmartBookmarkAction.
	KzSmartBookmarkFolderAction will be obsoleted.
	
2004-07-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Adjust icon to entry size.
	
2004-07-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-folder.c:
	Plugged a memory leak.
	
2004-07-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Added emission of "icon-pressed" signal.
	
2004-07-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-action.c:
	Set the current location when KzHistoryAction creates.	
	
2004-07-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed a bug #528 that tab position "Left" is not restored on the startup time.
	Thanks to Miernik for your reporting.
	
2004-07-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in, src/Makefile.am,
	  src/bookmarks/kz-bookmark.c,
	  src/regex/:
	Added regular expression library for UTF8.
	
2004-07-18  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* configure.in:	for mozilla-1.7.1.

2004-07-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit-win.c:
	Enlargement window size.
	
2004-07-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Set location entry correctly on the second window.
	
2004-07-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit..c:
	Removed entry box and new button.
	
2004-07-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	Added the item of bookmark editor in popup menu.
	
2004-07-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	Added the item of bookmark editor in popup menu.
	
2004-07-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-search.png, src/kz-icons.h,
	  src/actions/kz-smart-bookmark-action.c,
	  src/actions/kz-smart-bookmark-folder-action.c:
	Added search icon. this icon was picked from gimp.
	
2004-07-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/actions/kz-location-entry-action.[ch],
	  src/actions/kz-smart-bookmark-action.c,
	  prefs_ui/prefs_location_entry.c,
	  etc/kz-ui-*.xml:
	The location entry uses smart bookmark.

2004-07-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.c:
	Changed the layout of smart bookmark editor.

2004-07-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-edit.[ch],
	  src/bookmarks/kz-bookmark.[ch],
	  src/bookmarks/kz-xbel.c:
	Added editing for smart bookmark.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-downloader-sidebar.c:
	Plugged a memory leak.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader-group.[ch],
	  src/actions/kz-actions-download.c:
	Fixed a bug.
	Use the filename indicated by user for download file.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-downloader-group.[ch],
	  src/actions/kz-actions-download.c:
	To call kz_downloader_to_file() moved in KzDownloaderGroup.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.[ch]:
	Fixed a silly bug.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-tabtree.c:
	Plugged a memory leaks.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_gesture.c,
	  src/prefs_ui/prefs_key_accel.c,
	  src/prefs_ui_prefs_location_entry.c:
	Plugged memory leaks.

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-password-manager-dialog.c,
	  src/kz-prefs-win.c, widget/kz-dlist.c,
	  src/bookmarks/kz-bookmarks-view.c:
	Plugged memory leaks.
	The GtkTreeModel using GtkTreeView needs to call g_object_unref().

2004-07-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-links-dialog.c:
	Plugged memory leaks.

2004-07-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	Plugged a memory leak.

2004-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/glib-utils.c:
	Added #include <sys/time.h> for Mac OS X.
	Thanks to yamashita san.

2004-07-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Set mouse cursor normal when the pointer is over the icon.

2004-07-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-action.c:
	gtk_tool_item_set_expand(, FALSE).

2004-07-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/bookmarks/kz-history.c,
	  src/utils/utils.c, src/utils/estsearch.c:
	HISTORY_DIR and HISTORY_INDEX moved to kazehakase.h.

2004-07-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c,
	  src/actions/kz-actions-popup.c,
	  src/actions/kz-actions-tab.c:
	Removed stock icon property from GtkActionEntry..

	* src/kz-icons.h:
	Added KZ_STOCK_TAB_NEXT and KZ_STOCK_TAB_PREV icon.
	but these are the same of GtkStockIcon.

2004-07-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-stop-reload-action.c,
	  src/actions/kz-actions.c,
	  etc/kz-ui-*.xml:
	Added stop/reload action.

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-smart-bookmark-folder-action.[ch],
	  src/actions/kz-actions.c:
	Added smart bookmark folder action.

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	update tooltip property of actions.

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Some tooltip property of actions update.

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Changed event->button to 0 in gtk_menu_popup().

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Fixed a crash bug.

2004-07-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Plugged a memory leak.	

2004-07-08 Takuro Ashie <ashie@homa.ne.jp>

	* src/prefs_ui/prefs_key_accel.c: Fixed clash bug.

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, etc/kz-ui-medium.xml,
	  src/main.c, src/kz-window.c,
	  src/actions/kz-actions.[ch], 
	  src/actions/kz-smart-bookmark-action.c,
	  src/bookmarks/kz-root-bookmark.[ch],
	  src/bookmarks/kz-xbel.c,
	  etc/smartbookmarks.xml:
	Added smartbookmarks.xml	

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kzmigemo:
	Changed /usr/bin/ruby1.8 to /usr/bin/env ruby.
	It's OK?

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	When history cached is shown, the page is not added to history index.

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_key_accel.c:
	Plugged a memory leak.

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-prefs-win.c:
	privacy preference was enabled. I made a mistake before.

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	Fixed invalid link to local file in results of history search.
	Thanks to yasumichi san.

2004-07-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-scrap-bookmark-action.c:
	Changed event->button to 0 in gtk_menu_popup().

2004-07-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.[ch], 
	  src/actions/kz-actions.c,
	  src/actions/kz-smart-bookmark-action.c:
	Added smart bookmark property. still in progress.

2004-07-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c:
	#include <unistd.h>.

2004-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	set visibile or not for Stop and Reload button in menu. 

2004-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch], src/bookmarks/kz-history.c:
	Added limitation of keeping the history cache. 

	* src/main.c:
	Bookmarks saves before disposing of KzProfile
	because KzHistory needs KzProfile when KzHistory is disposed.
	
	* src/prefs_ui/prefs_history.[ch]:
	Added preference of history.
	
2004-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.c:
	Show stop/reload button correctly when ui level is changed.	
	
2004-07-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-begginer.xml:
	Removed "StopButton" entry from toolbar.	
	
2004-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.c:
	"Search" action changed to "Find" action.
	
	* src/kz-actions/kz-actions.c:
	Some actions is set tooltip text
	
2004-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* merged no_libegg branch.
	
2004-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml, src/actions/kz-actions.c: (no_libegg branch)
	Show Stop/Reload Button correctly.
	
2004-07-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml, src/actions/kz-actions.c,
	  src/actions/kz-actions-popup.c: (no_libegg branch)
	  src/actions/kz-actions-tab.c:
	Removed "FakeToplevel".
	
2004-07-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c: (no_libegg branch)
	show proxy menu only if available in kz-ui-*.xml. 
	
2004-07-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c: (no_libegg branch)
	check location entry widget is GtkEntry when focus entry action.
	
2004-07-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/kz-window.c: (no_libegg branch)
	Set proxy menu.

2004-07-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utis.c:
	Parse the title of mozilla bookmark correctly..
	
2004-07-02  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kzmigemo: Fixed a crash bug when non-ascii characters
	are passed.  Thanks to Mukai san.


2004-07-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-actions-popup.c,
	  src/actions/kz-actions-tab.c,
	  src/bookmarks/kz-actions-bookmark.c: (no_libegg branch)
	Plugged memory leaks.

2004-07-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.[ch],
	  src/actions/kz-actions-popup.[ch],
	  src/actions/kz-actions-tab.[ch],
	  src/bookmarks/kz-actions-bookmark.[ch],
	  src/bookmarks/kz-bookmark-editor.c: (no_libegg branch)
	Connect action to acceleratot.
	Now all accelerator work fine. 

2004-07-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/actions/kz-actions.[ch],
	  src/actions/kz-actions-popup.[ch],
	  src/actions/kz-actions-tab.[ch],
	  src/bookmarks/kz-actions-bookmark.[ch],
	  src/bookmarks/kz-bookmark-editor.c: (no_libegg branch)
	Use gtk_ui_manager_get_accel_group() instead of 
	    gtk_ui_managet_set_accel_group().
	But any key accelerators are not in menu can not be
	received any acceleration event. FIX it!

2004-07-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Plugged a memory leak.
	
2004-07-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c:
	Fixed a bug that the bookmark in folder does not open middle click
	if "keep bookmark open by middle click" is disabled.
	Thanks to aztm san.
	
2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-scrap-bookmark-action.c: (no_libegg branch)
	now we can receive "button-press" event.
	ScrapBookmarkAction works fine!

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-scrap-bookmark-action.c: (no_libegg branch)
	Fixed compile errors.
	But "button press" signal is not received. FIX it!

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-entry-action.c: (no_libegg branch)
	Syncronized text property.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c: (no_libegg branch)
	added toggle action.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-actions-popup.c,
	  src/actions/kz-actions-tab.c, src/bookmarks/kz-actions-bookmark.c:
	added gtk_action_group_set_translation_domain().

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-entry-actions.c: (no_libegg branch)
	Changed gtk_tool_item_set_expandable() to 
	gtk_tool_item_set_expand().

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c: (no_libegg branch)
	show favicon on toolbutton correctly.

2004-06-30 Takuro Ashie <ashie@homa.ne.jp>

	* configure.in:  (no_libegg branch)Removed src/libegg/Makefile.in.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-actions-popup.c, 
	  src/actions/kz-actions-tab.c, src/kz-window.c: (no_libegg branch)
	Set correct path name for action.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml: (no_libegg branch)
	converted its format.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c: (no_libegg branch)
	removed direct access to GtkAction private property.
	Changed gtk_action_set_accelerator() to gtk_action_set_accel_path().

	* src/actionc/kz-history-action.c: (no_libegg branch)
	removed direct accecc to GtkAction proxies list. 
	Use gtk_action_get_proxies().

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark-editor.c: (no_libegg branch)
	Changed gtk_action_set_sensitive() to g_object_set(object, "sensitive")

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-tab.c: (no_libegg branch)
	Changed gtk_action_set_sensitive() to g_object_set(object, "sensitive")

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.h, src/actions/kz-actions.c: (no_libegg branch)
	Changed gtk_action_set_sensitive() to g_object_set(object, "sensitive")

2004-06-30 Takuro Ashie <ashie@homa.ne.jp>

	* many files: branched as no_libegg version.

2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Fixed a bug that bookmark editor opens when bookmark folder is focused.
	
2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Removed needless codes.
	
2004-06-30 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Fix a bug that bookmark opens in current tab even when middle click.
	This problem occured only if "keep menu open by middle click" option is enabled.
	Thanks to nakano san and mukai san.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c, src/utils/estsearch.c:
	Use summary elements in the result of estxview.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	io channel shutdown after filename writing.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c,
	  src/mozilla/kz-mozembed-[cpp|h],
	  src/utils/estsearch.c:
	Register of estindex only loaded file.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Set maximum of storing favicons.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch], src/utils/estsearch.c,
	  src/bookmarks/kz-nsbookmark.c:
	Unite get_attribute and get_content process.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	open new tab when primary selection is pasted in window with CTRL mask.
	
2004-06-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.7.

2004-06-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Plugged a memory leak.
	
2004-06-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Confirmation of "open all bookmarks" moved from open_all_bookmarks() to
	act_open_all_bookmarks().
	
2004-06-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Plugged a memory leak.
	But this way may be failed on severe situation.
	
2004-06-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Fixed a crash bug when the bookmark item is removed while it is loading.
	But there is still memory leak. Fix it!
	
2004-06-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Fixed a crash bug when remote bookmark updates after secondary window closed.
	
2004-06-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.[ch]:
	Fixed a bug that bookmark bar on second window does not respond any event.
	
2004-06-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.[ch], src/kz-window.c,
	  src/bookmarks/kz-bookmark-filter.c,
	  src/actions/kz-actions.c,
	  src/actions/kz-location-entry-action.c,
	  src/prefs_ui/prefs_location_entry.c:
	Added users_only option to kz_profile_enum_key().
	
2004-06-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.c:
	Back to Revision 1.9 because gestures does not perform.
	
2004-06-25  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp,
	  src/mozilla/kz-mozselectionlistener.cpp,
	  src/mozilla/kz-mozselectionlistener.h,
	  src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/kz-mozwrapper.h,
	  src/mozilla/mozilla-prefs.cpp:
	Fixed to be compiled with a debian package of mozilla-1.7.  

2004-06-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.c:
	Fixed a problem that the entry of behaviour of the location entry
	cannot be removed fewer than global setting.

2004-06-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Back to the old one. 

2004-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/main.c, src/bookmarks/kz-history.c,
	  src/mozilla/kz-mozhistorysearch.cpp, src/utils/estsearch.c:
	Do not store history cache and execute to search 
	if not install estraier.

2004-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	Do not use g_ide_add() to call estsearch_purge_index().
	this method does not call functions at the end of application.

2004-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/actions/kz-actions.c:
	set POST data when view page source.

2004-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c
	not to store history-search result pages.
	
	* src/utils/estsearch.c.
	Added title header.	

2004-06-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c, src/utils/estsearch.[ch].
	Added purging process of history index. 	

2004-06-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_location_entry.c:
	Fixed a problem that the entry cannot be removed.

2004-06-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.cpp:
	Plugged memory leaks.

2004-06-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.[ch], src/bookmarks/kz-history.c:
	The function of executing estindex was moved to estsearch.c. 

2004-06-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in.
	for mozilla-1.7.

2004-06-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Fixed a crash bug.

2004-06-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Handle multiple search keyword correctly.

2004-06-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.[cpp|h].
	Removed StoreHistoryFile.

2004-06-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Unpacked gzipped html for full-text searching cache.   

2004-06-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c:
	Enabled to load "file" scheme link in history-search result page
	when the link is clicked.

2004-06-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	split keyword by "+".

2004-06-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-history.png, src/kz-icons.h:
	Added history icon, this icon was picked from Galeon.
	
	* src/actions/kz-smart-bookmark-action.c:
	Show history icon.

2004-06-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.c:
	Plugged a memory leak, fixed warnings.

2004-06-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	removed kz-history-search-action.

2004-06-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-smart-bookmark-action.c:
	history search uses smart bookmark.
	TODO: set proper icon in entry box.

2004-06-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/estsearch.[ch], src/mozilla/mozilla.cpp,
	  src/mozilla/kz-mozhistorysearch.[cpp|h].
	Added "history-search" scheme.

2004-06-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-search-action.c:
	Plugged a memory leak.

2004-06-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Ooops. I forgot to commit this file.
	change: show progress correctly.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc, src/kz-window.c, src/mozilla/mozilla-prefs.cpp:
	Removed "type_ahead" setting.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_proxy.c:
	Plugged memory leaks. fixed typo.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	removed kz-google.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Ooops. I forgot to show progress.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	compliance with hiding favicon setting.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-histroy-search-action.[ch]:
	Changed EggHistoryAction to EggEntryAction. It's tentative.

2004-06-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Fixed a bug dropped bookmark is gone to the tail of the bookmark bar
	when the bookmark is dropped on itself.

2004-06-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c:
	Fixed a typo.

2004-06-14  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kzrc:
	Minor fix.

2004-06-14  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/net/kz-http.c, src/prefs_ui/prefs_proxy.c:
	Integrated proxy settings and fix to change the proxy
	setting properly.

2004-06-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, src/actions/kz-actions-popup.c:
	Added popup of tab list action.

2004-06-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Fixed a bug that the link of the bookmark folder opens in tab 
	when focus to the bookmark menu.
	Thanks furyo!

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Open bookmark item with keypress.
	Fixed Bug#4472 <http://sourceforge.jp/tracker/index.php?func=detail&aid=4472&group_id=388&atid=1529>

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c, src/kz-bookmark-menu.c,
	  src/actions/kz-actions.c:
	Unite "open all bookmarks" process.

	* src/kz-bookmark-menu.c,
	Open bookmark item on the button release event instead of button press.

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-lirs.c:
	Set link property only onetime. 

2004-06-13  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/prefs_ui/prefs_proxy.c:
	Fixed to turn off the "Use proxy" check box when
	there is no proxy setting. (Re-fix: Bug#3747)

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.c, src/actions/kz-history-search-action.c:
	Fixed a crash bug when hit enter in entry box with empty text.

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Removed disconnect handler function around close button.

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/kz-tab-label.c:
	connect favicon signal in KzTabLabel instead of KzWindow.

2004-06-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Fixed a bug that dropped item is placed on invalid position.

2004-06-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c:
	Set icon while dragging.

2004-06-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Convert the title of dropped item to UTF-8.

2004-06-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Performance improved.

2004-06-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c:
	Call gtk_drag_finish() in kz_download_box_drag_data_received().

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c, src/kz-bookmark-item.c:
	Enable to drag and drop inter-bookmarkbar.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	A link dropped into the cursor position on the bookmark-bar.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-links-dialog.c, 
	  src/kz-password-manager-dialog.c, src/kz-tab-label.c,
	  src/kz-window.c, src/bookmarks/kz-bookmark-edit.c,
	  src/bookmarks/kz-bookmarks-view.c,
	  src/prefs_ui/prefs_font.c:
	Fixed many silly mistakes.
	KZ_FOOBAR -> KZ_IS_FOOBAR, GTK_FOOBAR -> GTK_IS_FOOBAR.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Fixed a crash bug when a link drops on the bookmark-bar.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-icon.c:
	Plugged a memory leak.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c:
	Plugged a memory leak.

2004-06-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gtk-utils.c:
	Plugged a memory leak.

2004-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader-group.c:
	Now we do create new KzDownloader object in KzDownloaderGroup object.

2004-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-downloader-group.[ch],
	  src/actions/kz-actions-download.c:
	Fixed a crash bug.

2004-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-downloader-sidebar.c:
	Fixed typo?

2004-06-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	for Mozilla-1.7rc3.

2004-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tablabel.c, src/kz-actions-popup.c:
	escaped title text.

2004-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/kz-tablabel.[ch]:
	Set tab label color with markup text instead of GtkRcStyle;
	
	* src/kz-actions-popup.c:
	Set color to titles in tablist.

2004-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	Fixed a bug that bookmark title changes to removed bookmark's title.
	This fixed also the crash bug when press the Delete key
	while new bookmark title is editing.
	See http://sourceforge.jp/tracker/index.php?func=detail&aid=4445&group_id=388&atid=1529
	and http://sourceforge.jp/tracker/index.php?func=detail&aid=4446&group_id=388&atid=1529
	
2004-06-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kzmigemo:
	Fixed crashing.

2004-06-08  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/kzmigemo,
	  src/mozilla/kz-mozembed.cpp,
	  src/prefs_ui/prefs_external_program.c, 
	  src/utils/migemo.[ch]
	Add a migemo wrapper.

2004-06-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	surpress a warning.

2004-06-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Close faviconrc after startup time, 
	reopen faviconrc before exit kazehakase.

2004-06-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Fixed a typo.
	* src/prefs_ui/prefs_privacy.c:
	Added password manager button on preference..

2004-06-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/mozilla/mozilla.[cpp|h],
	  src/kz-password-manager-dialog.[ch].
	Added password manager.

2004-06-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-actions-bookmark.c:
	focus to new bookmark item when a new bookmark adds.

2004-06-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-hisctory-search-action.c:
	fixed a compile error on GLib-2.2.x.

2004-06-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch], src/actions/kz-history-action.c:
	Decode file name getting from estxview.

2004-06-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-search-action.c:
	Not to use KzScrapBookmark.

2004-06-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Fixed a crash bug when the page which has long query string loads.
	It's not a essential solution.

2004-06-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-search-action.c:
	Added a space to the tail of ascii string in searching result.

2004-06-03  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/mozilla/kz-mozembed.cpp:
	Fix to work migemo correctly.

2004-06-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/egg-entry-action.c:
	Use KzEntry.
	* src/actions/kz-actions.c,
	  src/actions/kz-smart-bookmark-action.[ch].
	Added SmartBookmark action.
	* src/google.[ch], src/actions/google-action.[ch].
	Removed Google action.

2004-06-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/utils.[ch].
	Changed directory structure of history cache files. 

2004-06-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-search-action.c:
	Cut search result description.

2004-06-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-history-search-action.[ch],
	  src/actions/kz-action.c, etc/kz-ui-expert.xml:
	Added a feature of full-text search in history.

2004-06-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-history.c:
	Fixed a compile error on GLib-2.2.x.

2004-06-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozlauncher.cpp, src/mozilla/kz-mozfilepicker.cpp,
	  src/mozilla/kz-mozwrapper.cpp:
	 Support for Mozilla-1.8a.

2004-06-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.[cpp|h].
	 Support for Mozilla-1.7rc2.

2004-06-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/main.c, src/mozilla/kz-mozembed.cpp,
	  src/prefs_ui/prefs_external_program.c.
	 Enable to support migemo.

2004-05-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/bookmarks/kz-history.[ch],
	  src/mozilla/kz-mozembed.[cpp|h], src/mozilla/kz-mozwrpper.[h|cpp].
	  src/utils/utils.[ch].
	 Store local cache for searching in history.

2004-05-30  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/main.c: Fix to read the system bookmark.

2004-05-30  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/prefs_ui/prefs_external_program.c:
	Add the preference for migemo(currently disabled).

2004-05-30  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-prefs-win.c, src/prefs_ui/Makefile.am,
	src/prefs_ui/prefs_external_program.[ch]:
	Added the "External Program" preference.

2004-05-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.6.

2004-05-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h, src/main.c,
	  src/mozilla/kz-mozembed.cpp:
	Disabled migemo.

2004-05-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmark.c:
	Fixed a crash bug that the bookmarkbar is updated
	while the bookmarkbar is loading.

2004-05-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-xbel.c:
	Plugged memory leak.

2004-05-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Fixed a silly typo.

2004-05-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icon/kz-editor.png:
	Editor icon.
	this icon is taken from http://jimmac.musichall.cz/i.php3?ikony=43.

2004-05-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Specify target window and tab on command line action.

2004-05-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/glib-utils.[ch], 
	  src/actions/kz-actions-popup.c:
	External editor support on GLib-2.2.x.

2004-05-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Plugged memory leak.

2004-05-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/migemo.h, src/actions/kz-actions-popup.c:
	fixed compile error on GLib-2.2.x.

2004-05-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Show command line help message.

2004-05-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c, src/utils/migemo.c:
	Fixed compile error on GLib-2.2.x.

2004-05-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Run action on command-line.

2004-05-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-embed-event.[ch], src/actions/kz-actions-popup.c,
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozembed.cpp,
	  etc/kz-ui-expert.xml:
	External editor support.

2004-05-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kzrc, src/kazehakase.h, src/main.c,
	  src/utils/migemo.[ch], mozilla/kz-mozembed.cpp:
	migemo support.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Show folder icon at submenu.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-folder.png, data/icons/kz-remote-bookmark.png:
	Changed color.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c,
	  src/prefs_ui/prefs_general.c:
	Removed "entry_open_anything_as_uri" option.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Surpress a warning.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-net.c, src/net/kz-file.c:
	Plugged memory leak.

2004-05-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/kazehakase.desktop:
	apapt to GNOME HIG.

2004-05-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.c:
	Plugged memory leak.

2004-05-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, src/mozilla/kz-mozembed.h,
	  src/mozilla/kz-mozembed.cpp:
	Added the incremental search feature.

2004-05-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-popup.c:
	Show favicon on tab list.

2004-05-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-icons.h, src/kz-bookmark-item.c,
	  src/bookmarks/kz-actions-bookmark.c, src/bookmarks/kz-bookmarks-view.c,
	  src/actions/kz-scrap-bookmark-action.c:
	Changed bookmark icon.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c, src/kz-bookmark-menu.c,
	  src/prefs_ui/prefs_general.c:
	Added the setting of the confirmation of opening all bookmarks.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c, src/kz-bookmark-menu.c:
	Added the confirmation of opening all bookmarks.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-download.c:
	Added the confirmation of replacing file.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_privacy.c:
	Added "cookie lifetime" preference.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-icons.h, src/bookmarks/kz-actions-bookmark.c,
	  src/bookmarks/kz-bookmarks-view.c:
	Changed "remote bookmark" icon.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-prefs_win.c, src/prefs_ui/prefs_privacy.[ch]:
	Added "Privacy" preference.

2004-05-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, 
	  src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozemed.h,
	  etc/kz-ui-expert.xml:
	View page source is opened in a new tab.
	Added "View Page Source" entry in popup menu on the expert UI level.

2004-05-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, 
	  etc/kz-ui-medium.xml, etc/kz-ui-expert.xml:
	Added "Open" local file.

2004-05-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/utils/utils.[ch]:
	Open local file if it exists.

2004-05-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	Added requirement entries of automake-1.6 and autoconf-2.57.

2004-05-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/actions/kz-actions-download.[ch]:
	Added the confirmation of replacing file.

2004-05-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-menu.c:
	Fixed a bit miss.

2004-05-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-favicon.c:
	Plugged a memory leak.

2004-05-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c, src/gtk24backports/gtk24toolbar.h:
	define s/gtk24/gtk/g entries.

2004-05-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c:
	Fixed a compile error on gcc-2.95.
	Thanks michael for reporting, and Thanks furyo and famao for your advice.

2004-04-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.5.

2004-04-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* configure.in:
	for Mozilla-1.7rc1. This is only for Gentoo.

2004-04-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-rss.c:
	Description gets as unescaped text.

2004-04-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-rss.c:
	Encoding is detected correctly.

2004-04-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-rss.c:
	Fixed a crash bug when encoding is not set.

2004-04-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-io.c, src/net/kz-http.c, src/net/kz-file.c, src/kz-favicon.c:
	Plugged memory leaks.

2004-04-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-{begginer,medium,expert}.xml, po/ja.po:
	Added printing.

2004-04-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/kz-mozwrapper.h:
	Added printing features, but still in development.

2004-04-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-profile.c:
	Sort enum key correctly.
	
	* src/kz-window.[ch], src/actions/kz-actions.c:
        Set correct tab to active when session restores.

2004-04-22 Takuro Ashie <ashie@homa.ne.jp>

	* src/gtk24backports/gtk24backports.h: Addd gtkuimanager.h.

2004-04-22 Takuro Ashie <ashie@homa.ne.jp>

	* src/gtk24backports/gtkuimanager.c gtkuimanager.h: Taken from loqui.

2004-04-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/kz-bookmark-bar.c:
	Applied a patch that gtk24backports does not use if GTK+-2.4.0 installs.
	Thanks famao san.	

2004-04-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader-group.[ch],
	  src/mozilla/kz-mozdownlaoder.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp, src/mozilla/kz-mozprogresslistener.h:
	KzMozDownloader object creates in KzDownloaderGroup.

2004-04-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Not to use ProgressListener on the time of saveing a page with its contents.

2004-04-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/widget/kz-cellrendererprogress.[ch]: Added (Taken from gaim).

2004-04-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/sidebar/kz-downloader-sidebar.c:
	Unreferenced a value that gtk_tree_model_get() returned.	

2004-04-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/actions/kz-actions-download.c:
	kz_downloader_to_file() moves to the next of kz_downloader_group_add().
	
	* src/kz-download-box.c:
	Added g_object_ref(dl) and g_object_unref(dl).

2004-04-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.cpp:
	Comment out "mPersist->SetProgressListener(nsnull)" because of crash bug.
	I'm not sure it's a memory leak.

2004-04-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/bookmarkbar.xml:
	Removed /.J and Gentoo, Added Yahoo News.

2004-04-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.cpp, src/mozilla/kz-mozembed.cpp
	Fixed a crash bug when a page saves with content.

2004-04-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.cpp:
	more stable.

2004-04-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.cpp, src/mozilla/kz-mozprogresslistener.h:
	Implement of download cancel.

2004-04-18 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-mozdownlaoder.{cpp,h}, src/kz-mozprogresslistener.cpp:
	Set file name on creating a KzMozDownloader object.

2004-04-18 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-downloader.c: Added a property for KzIO to KzDownloader class.
	* src/kz-sidebar.c, src/sidebar/Makefile.am,
	  src/sidebar/kz-downloader-sidebar.[ch]: Added downloader sidebar.

2004-04-18 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-download-box.[ch], src/kz-downloader-group.[ch],
	  src/kz-downloader.c, src/actions/kz-actions-download.c,
	  src/mozilla/kz-mozdownloader.cpp:
	Rename KzDownloaderGrp to KzDownlaoderGroup. Class name should be
	synchronized with source file name!
	Function pointers in KzDownloaderGroupClass must have a KzDownloader in
	its arguments.

2004-04-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixed a crash bug when a page saves with content.

2004-04-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.cpp:
	Fixed a crash bug.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozprogresslistener.h, src/mozilla/kz-mozprogresslistener.cpp,
	Set download file name.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c, src/kz-downloader-group.c,
	  src/kz-downloader.[ch], src/actions/kz-actions-download.c,
	  src/mozilla/kz-mozprogresslistener.h, src/mozilla/kz-mozprogresslistener.cpp,
	  src/mozilla/kz-mozdownloader.cpp, src/mozilla/kz-mozdownloader.h:
	Now we can see Mozilla download process in download box.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions-download.c:
	Plugged a memory leak.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c:
	Removed gtk_set_locale().
	Thanks reporting, famao san.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Fixed a bug that google icon disappears when UI level changes 
	from begginer level to the other one.

2004-04-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-io.c:
	Fixed a crash bug when http error occurs.

2004-04-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozembed.h,
	  src/actions/kz-actions-download.[ch],
	  src/actions/kz-actions-popup.c, src/actions/kz-actions.c:
	Enabled to save with content.

2004-04-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/mozilla.cpp,
	  src/mozilla/kz-mozprogresslistener.cpp, src/mozilla/kz-mozprogresslistener.h:
	loading of ProgressListener.

2004-04-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozlauncher.cpp:
	Fixed a crash bug when the file is downloaded (only Mozilla-1.7a or higher).

2004-04-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Fixed a bug that selected region is wrong in KzEntry.

2004-04-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-scrap-bookmark-action.c:
	Use nemonic on pop up menu.

2004-04-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/net/kz-http.[ch]:
	Fixed a horrible mistake!

2004-04-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.[ch], src/actions/kz-action.c:
	Restore session after gtk_widget_show(KzWindow*).

2004-04-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml, etc/bookmarkbar.xml:
	Removed "New Tab" button on tool bar, 
	added "about:blank" and "http://kazehakase.sourceforge.jp/" as Home 
	on bookmark bar.
	
2004-04-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c:
	Plugged a memory leak.
	
	* src/kz-bookmark-bar.c, src/kz-tab-label.c:
	Clean up some needless codes. Thanks reporting furyo!

2004-04-13 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-bookmark-bar.c: Set proxy menu item for bookmark item.

2004-04-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-bookmarks-view.c:
	Plugged a memory leak.

2004-04-13 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-bookmark-bar: Sorry, kz_bookmark_bar_refresh_all() was called
	only when the bookark bar is realized.
	Other wasted obsolete codes are removed.

2004-04-13 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-bookmark-bar.c: Create GtkSeparatorToolItem for separator
	bookmark item.

2004-04-13 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-sidebar.c: Fixed typo.

2004-04-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-xml.c:
	Fixed a problem that no content in XML element makes indent.	
	Now, '<title>/<title>' allows.

2004-04-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.c, src/kz-favicon.c,
	  src/net/kz-io.[ch]:
	Fixed a crash bug when a page with favicon opens by "https" access  

2004-04-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-downloader.[ch], src/kz-download-box.c,
	  src/bookmarks/kz-bookmark.[ch], src/bookmark/kz-bookmsrks-view.c,
	  src/bookmarks/kz-root-bookmark.c, src/bookmark/kz-xbel.c,
	  net/kz-file.[ch], net/kz-io.[ch], net/kz-http.[ch]:
	Changed KzIO interface.

	* src/kz-bookmark-item.c:
	if bookmark is not remote bookmark, show appropriate icon instead of update button.

2004-04-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-scrap-bookmark.c:
	  Fixed a crash bug when new bookmark is added into scrap bookmark with bookmark editor.

2004-04-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	  Save images for scrap bookmark using XPCOM instead of GLib.

2004-04-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/gtk24backports/gtkaction.[ch],
	  src/gtk24backports/gtkactiongroup.[ch],
	  src/gtk24backports/gtkradioaction.[ch],
	  src/gtk24backports/gtktoggleaction.[ch],
	  src/gtk24backports/gtktoggleactionprivate.h.
	Incorporated  action source file from loqui
	<http://loqui.good-day.net/index.html>.

2004-04-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/gtk24backports/Makefile.am,
	  src/widget/Makefile.am:
	Removed -DG*_DISABLE_DEPRECATED=1.

2004-04-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	Fixed a compile error with gcc-2.9x.x.
	Thanks reporting Nakano san and Gentoo's maintener. 

2004-04-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/gtk24backports,
	  src/main.c, src/kz-bookmark-bar.c:
	Incorporated gtk24backports.
	This backport is an effort of Yoichi Imai <yoichi@silver-forest.com> 
	Thanks a lot!
	Fixed a bug  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=241639>

2004-04-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-rss.c:
	Rewrote with KzXML.

2004-04-04  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/kz-proxy-menu.[ch], src/kz-window.c:
	Added proxy menu.

2004-04-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/Makefile.am:
	Added kz-gray.png. I forgot to add this one. 

2004-04-04  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions-popup.c:
	Fixed to set the group of the tablist correctly.

2004-04-03  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/kz-window.c:
	Change to connect "focus-out-event" to avoid grabbing
	mouse when an alertbox appears.

2004-04-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	some codes were picked from gtkstyle.c in GTK+-2.2.4 for compatibility of  GTK+-2.4.0. 

2004-04-02 Takuro Ashie <ashie@homa.ne.jp>

	* src/mozilla/kz-mozwrapper.cpp: Fixed compile error.

2004-04-02  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kzrc, src/actions/kz-location-entry-action.c,
	  src/prefs_ui/prefs_location_entry.c:
	Added encode key to "LocationEntry" profile.

2004-04-02  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions-popup.c:
	Stopped regenerating encoding popup menu.

2004-04-01  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kz-ui-expert.xml, src/actions/kz-actions-popup.c:
	Changed to make full use of libegg.
	Added tablist popup menu with right button mouse click.
	* src/mozilla/kz-mozembed.cpp:
	Fix to change encoding correctly.

2004-03-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-*.xml, po/POTFILES.in, po/ja.po,
	  src/main.c, src/kz-window.[ch],
	  src/bookmarks/kz-root-bookmark.[ch],
	  src/actions/kz-actions.c:
	Removed Home Button.

2004-03-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.4.

2004-03-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c:
	Changed "add scrap bookmark" status when text is selected.

2004-03-27 Takuro Ashie <ashie@homa.ne.jp>

	* src/sidebar/kz-bookmarks-sidebar.c: Added popup menu.

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-actions.c, src/actions/kz-scrap-bookmark-action.c:
	Add a new bookmark in the beginging.

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Get images in scrap bookmark to local. 

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-scrap-bookmark.c:
	Fixed last-modified position.

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/prefs_ui/prefs_general.c:
	Hide "Open as URI" option on both begginer and medium UI levels.

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/libegg/Makefile.am:
	Remove egg-marshalers.c egg-marshalers.h for Glib-2.4.0.

2004-03-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c: 
	Fixed a bug (BUG #4101) that text cannot not be seen when the text is long.
	Thanks reporting nakano san.

2004-03-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* po/POTFILES.in po/ja.po,
	  src/actions/kz-scrap-bookmark-action.c:
	Added po file.

2004-03-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml,
	  src/actions/kz-action.c:
	Add scrap bookmark in popup menu.

2004-03-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-scrap-bookmark-action.c,
	  src/bookmarks/kz-scrap-bookmark.c:
	Set correct link property.

2004-03-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozeventlistener.cpp,
	  src/mozilla/kz-mozselectionlistener.cpp,
	  src/mozilla/kz-mozwrapper.h, src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/nsUnicharUtils.h, src/mozilla/src/nsUnicharUtils.cpp:
	Some minor fixes for Mozilla-1.7b.

2004-03-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmark-editor.c,
	  src/bookmarks/kz-bookmarks-view.[ch]:
	Enabled to set bookmarks are editable or not.
	* src/bookmarks/kz-bookmarks-view.[ch]:
	Added button-press-event handler.

2004-03-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c, src/kzicons.h,
	  src/bookmarks/kz-bookmark.c:
	Show gray icon when remote bookmark on bookmark bar is failed to load.
	This idea got from kamo san. Thanks!

2004-03-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmarks-view.c: Minor fix.
	* etc/kz-ui-beginner.xml, etc/kz-ui-expert.xml, etc/kz-ui-medium.xml,
	  po/ja.po, src/actions/kz-actions.c:
	Enabled editing bookmark bar.

2004-03-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/sidebar/kz-bookmarks-sidebar.[ch]: Added.
	* src/sidebar/Makefile.am, src/kz-sidebar.c: Restored bookmarks sidebar.

2004-03-24 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmarks-view.[ch]:
	Minor fix.

2004-03-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.c, src/actions/kz-home-action.c,
	  src/bookmarks/kz-bookmarks-view.c, src/bookmarks/kz-root-bookmark.c:
	Fixed memory leaks.

2004-03-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/Makefile.am, src/bookmarks/kz-bookmark-editor.[ch]
	  src/bookmarks/kz-bookmarks-view.[ch]:
	Separated tree view from kz-bookmark-editor.c to kz-bookmarks-view.c

2004-03-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-window.c, 
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozembed.cpp:
	Fixed crash bug when tab is closed by javascript.

2004-03-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-link.[ch]: Removed.
	* src/bookmarks/kz-bookmark-filter.[ch]: Moved from src/kz-link.[ch].
	* src/kz-links-dialog.c, src/Makefile.am, src/mozilla/kz-mozembed.cpp:
	Fix for above change.

2004-03-21  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kzrc: Minor fix.

2004-03-21 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-link.[ch], src/kz-links-dialog.c src/actions/kz-actions.c,
	  src/mozilla/kz-mozembed.cpp:
	Removed KzLink struct. Use KzBookmark instead.
	* src/kz-bookmark-menu.h: Fixed typo.

2004-03-21  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-home-action.c, src/actions/kz-scrap-bookmark-action.c,
	  src/kz-bookmark-menu.c, src/kz-window.c, src/utils/gtk-utils.c
	Minor fixes.(Is boommark typo?)

2004-03-21  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/mozilla/kz-mozembed.cpp:
	Changed to reset the forced encoding when loading new URI.

2004-03-20  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions-popup.c, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/kz-mozwrapper.h:
	Add automatic configuration item to the encoding popup menu.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-xbel.c, src/mozilla/kz-mozselectionlistener.cpp,
	  src/mozilla/kz-mozwrapper.cpp, src/net/gnet-private.c:
	Fixed some compile time warnings.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* po/POTFILES.in, po/ja.po, src/bookmarks/kz-root-bookmark.c:
	Translated some messages.

2004-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/Makefile.am, src/actions/Makefile.am, 
	  src/libegg/Makefile.am, src/prefs_ui/Makefile.am:
	Removed -DG*_DISABLE_DEPRECATED=1 for GTK+-2.4.0.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-bookmark-bar.c: Sync bookmark folder correctly.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmark-edit-win.[ch]: Added.
	* etc/kz-ui-bookmarks.xml, src/actions/kz-actions.c,
	  src/bookmarks/Makefile.am, src/bookmarks/kz-actions-bookmark.c
	  src/bookmarks/kz-bookmark-editor.c:
	Added KzBookmarkEditWin.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po, src/kz-bookmark-bar.c, src/kz-window.c, src/kz-download-box.c
	  src/bookmarks/kz-bookmark-editor.c, src/bookmarks/kz-bookmark.[ch],
	  src/bookmarks/kz-scrap-bookmark.c, src/bookmarks/kz-xbel.c:
	Minor fixes.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-root-bookmark.[ch]:
	Minor fix.

2004-03-20 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-window.[ch]:
	Create bookmark bars automatically according to the bookmark_bars
	folder.

2004-03-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-bar.c, src/widget/kz-entry.c:
	Some minor fixes for GTK+-2.4.0, but still incomplete.

2004-03-19  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/actions/kz-actions-popup.c, src/mozilla/kz-mozembed.cpp,
	  src/mozilla/kz-mozembed.h, src/mozilla/kz-mozwrapper.cpp,
	  src/mozilla/kz-mozwrapper.h:
	Fixed to get encoding correctly.

2004-03-19 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-abount-dialog.c, src/actions/kz-location-entry-action.c,
	  src/bookmarks/kz-hinadi.c, src/bookmarks/kz-nsbookmark.c,
	  src/mozilla/kz-mozselectionlistener.cpp,
	  src/mozilla/kz-mozwrapper.cpp,
	  src/prefs_ui/prefs_location_entry.c,
	  src/sidebar/kz-tabtree.c:
	Fixed some compile time warnings.

2004-03-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action-popup.c:
	Fixed non-reaction of left click on im method and encoding menu?

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozembed.h,
	  src/actions/kz-action-popup.c:
	Set encoding correctly. 

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* po/POTFILES.in, po/ja.po: updated.

2004-03-18 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c, src/sidebar/Makefile.am,
	src/sidebar/kz-metatree.[ch]: Removed kz-metatree.[ch].

2004-03-18 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmarklist.[ch]: Removed.

	* src/prefs_ui/Makefile.am, src/prefs_ui/presf_remote_bookmark.[ch]:
	Removed remote bookmark preference UI.

	* src/kazehakase.h, src/kz-bookmark-bar.[ch], src/kz-sidebar.h,
	  src/kz-window.[ch], src/main.c, src/actions/kz-actions.c,
	  src/bookmarks/Makefile.am, src/sidebar/kz-metatree.c:
	Added KzRootBookmark and removed KzMETATree from sidebar entry.

	* src/bookmarks/kz-history.[ch]: Minor fix.

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/main.c, src/bookmarks/kz-scrap-bookmark.c:
	Scrap bookmark is editable by bookmark editor.
	but bookmark editor is still funny behaviour.  

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-bookmark-item.c:
	Stop to propagate "button-press-event" signal.

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-scrap-bookmark.c:
	jump to each bookmark from scrap bookmark menu.

2004-03-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action-popup.c:
	Connect "button-press-event" instead of "activate" on GtkRadioMenuItem. 

2004-03-18  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* src/Makefile.am, src/actions/kz-actions-popup.[ch],
	  src/kz-langinfo.[ch], src/prefs_ui/prefs_lang.[ch],
	  src/prefs_ui/prefs_location_entry.c:
	Added popup menu for encoding selection.

2004-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp, src/mozilla/kz-mozwrapper.h:
	Escape string in attribute value and text in HTMLSourceFromNode(). 

2004-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp:
	Removed invalid XHTML elements like </img> in HTMLSourceFromNode(). 

2004-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-expert.xml,
	  src/kazehakase.h, src/main.c src/kz-xml.c,
	  src/actions/kz-actions.c
	  src/bookmarks/kz-bookmark.c, src/bookmarks/kz-scrap-bookmark.[ch],
	  src/actions/kz-scrap-bookmark-action.[ch],
	  src/mozilla/kz-mozwrapper.cpp src/mozilla/kz-mozwrapper.h:
	Added Scrap Bookmark feature.

2004-03-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* data/icons/kz-bookmark.c, src/kz-icons.h:
	Added a bookmark icon.
	This is picked from <http://art.gnome.org/art-icons/nautilus-emblems/index.php>.

2004-03-17  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kzrc, src/actions/kz-location-entry-action.c,
	  src/prefs_ui/prefs_location_entry.c:
	Changed the category of the configuration "LocationEntryRegex"
	to "LocationEntry".

2004-03-16 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c:
	Changed "Apply" button position and removed some entries.

2004-03-16 Takuro Ashie <ashie@homa.ne.jp>

	* po/POTFILES.in, po/ja.po: Updated.

2004-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozwrapper.cpp, src/mozilla/kz-mozwrapper.h,
	  src/mozilla/kz-mozembed.cpp:
	Resolving img src and href URI adress.

2004-03-15 Takuro Ashie <ashie@homa.ne.jp>

	* src/prefs_ui/prefs_proxy.c:
	Expand scrolled window.

2004-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-rss.c,
	  src/kz-bookmark-menu.c:
	Removing tag from description before setting text on tooltip. 

2004-03-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* etc/kz-ui-beginner.xml,
	  src/actions/kz-location-entry-action.c:
	Google entry removed from beginner level. 
	If no regular expression, URI handles as-is.

2004-03-14 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-bookmark-bar.[ch], src/bookmarks/kz-bookmark.c:
	Added popup menu for KzBookmarkBar.

2004-03-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kz-mozembed.h,
	  src/mozilla/kz-mozwrapper.cpp, src/mozilla/kz-mozwrapper.h:
	Added functions to get html source on selectional region.

2004-03-14 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po,
	  src/actions/kz-actions.c,
	  src/bookmarks/kz-bookmark-edit.[ch],
	  src/bookmarks/kz-bookmark-editor.c, src/bookmarks/kz-bookmark.[ch],
	  src/bookmarks/kz-google.c, src/bookmarks/kz-hinadi.c,
	  src/bookmarks/kz-lirs.c, src/bookmarks/kz-rss.c,
	  src/bookmarks/kz-xbel.c:
	Set sensitivity and visiblity of bookmark related widgets.

2004-03-14  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* etc/kzrc, src/actions/kz-location-entry-action.c,
	  src/kz-prefs-win.c, src/prefs_ui/Makefile.am,
	  src/prefs_ui/prefs_location_entry.c,
	  src/prefs_ui/prefs_location_entry.h:
	Added UI to change the behaviour of the location
	entry with regular expressions.

2004-03-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Fixed a mistatke about performance when size allocate 

2004-03-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/widget/kz-entry.c:
	Added INNER_BORDER between icon and text.

2004-03-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Performance tuning when size_allocate.

2004-03-12 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp:
	Added some code for preventing invalid scroll position 
	when new tab background opens with anchor (html#xx).

2004-03-12 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-prefs-win.c,
	  src/prefs_ui/Makeifle.am,
	  src/prefs_ui_editor.c, src/prefs_ui_editor.h:
	Added prefs page named "UI Editor".

2004-03-12 Takuro Ashie <ashie@homa.ne.jp>

	* po/ja.po, src/bookmarks/kz-actions-bookmark.h:
	Translate some messages.

2004-03-12 Takuro Ashie <ashie@homa.ne.jp>

	* etc/kz-ui-bookmark.xml, po/ja.po,
	  src/bookmarks/kz-actions-bookmark.c:
	Changed "File" bookmark as "Remote Bookmark".

2004-03-12 Takuro Ashie <ashie@homa.ne.jp>

	* actions/kz-actions.c, bookmarks/kz-bookmark-edit.[ch],
	  bookmarks/kz-bookmark-editor.c:
	Miscellaneous tunings.

2004-03-12 Takuro Ashie <ashie@homa.ne.jp>

	* etc/kz-ui-bookmarks.xml,
	  src/bookmarks/kz-bookmark.c src/bookmarks/kz-bookmark-edit.[ch],
	  src/bookmarks/kz-bookmark-editor.c:
	Enabled to insert bookmark files (known as "remote bookmark").
	Some bug fixes.

2004-03-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action.c, src/mozilla/kz-mozembed.cpp:
	Added GetBodyText action.

2004-03-09 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-bookmark-edit.c. src/bookmark/kz-bookmark-editor.c:
	Now cells on bookmark editors are editable.

2004-03-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action.c:
	Added SearchBySelection action.
	Thanks famao san! I hope you'll be back fine!

2004-03-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/google.c, actions/kz-location-entry-action.c:
	Fixed a silly mistake about gettext macro.

2004-03-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-entry-action.c:
	/.(com|jp|org|net)/ opens as URI.

2004-03-05 Takuro Ashie <ashie@homa.ne.jp>

	* src/kz-tab-label.c:
	Fixed compile error.

2004-03-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tablabel.[ch], src/prefs_ui/prefs_tab.c, etc/kzrc:
	Discard progerss bar on tab label.

2004-03-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/mozilla-prefs.cpp:
	Changed https proxy setting name from "network.proxy.https" to 
	"network.proxy.ssl".

2004-03-05 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/bookmarks/kz-hinadi.c:
	Fixed crashing bug when HINA-DI which has only LF line code loads.
	Thanks reporting nakano san (#4015).
	<http://sourceforge.jp/tracker/index.php?func=detail&aid=4015&group_id=388&atid=1529>

2004-03-05 Takuro Ashie <ashie@homa.ne.jp>

	* src/prefs_ui/prefs_gesture.c:
	Use KzInputEventBox instead of GtkEventBox to capture gesture.

2004-03-04 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* KZ_CONF_SET_STR separated from KZ_CONF_SET for 64bit architecture.

2004-03-02 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.c:
	Fixed a bug that entry background text is lapped under icon.
	Thanks reporting, daita san.

2004-03-02 Takuro Ashie <ashie@homa.ne.jp>

	* Changed prefix of EelInputEventBox to Kz.

2004-03-02 Takuro Ashie <ashie@homa.ne.jp>

	* src/utils/kz-dlist.[ch]
	Moved into src/widget.

2004-02-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-xml.c:
	Repression of a message when ~/.kazehakase/home.xml does not exists.

2004-02-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/eel-input-event-box.[ch], src/kz-entry.[ch], src/kz-paned.[ch]
	Moved into src/widget.

2004-02-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Many fixes for 64-bit architecture.

2004-02-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.3.

2004-02-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.cpp, src/mozilla/kzmozwrapper.cpp, src/mozilla/kz-mozeventlistener.cpp
	Minor fixes for mozilla-1.7a.

2004-02-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/mozilla/kz-mozembed.[cpp|h], src/actions/kz-actions.c:
	When a page is added into bookmark,
	selection string of its page is written on description property of bookmark.

2004-02-24 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-google.[ch]:
	Added an icon into google entry.
	Removed google search history button.

2004-02-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.[ch], src/kz-window.c:
	Added an icon into entry box.

2004-02-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.c:
	download icon uses correct theme's icon.

2004-02-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-location-action.c:
	"https://" opens as it is. 

2004-02-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	progress circle is correctly painted by red.

2004-02-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.c:
	progress circle is painted by red, but it looks yellow?

2004-02-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/google.c:
	Google entry uses KzEntry, but in the near future 
	Google entry is integrated location entry.

2004-02-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-tab-label.[ch]:
	progress circle on the left of label.

2004-02-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/utils/gtk-util.c:
	favicon on stock icon is transparent.

2004-02-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.c:
	select whole text in entry on focus-in event.

2004-02-06 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.c: background text disappears when widget includes text.

2004-02-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.c: background text disappears when widget has focus.

2004-02-03 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-entry.[ch]: New widget entry box with background text.
	  src/kz-window.c: KzEntry uses Search in this page entry box.
	  src/prefs_ui/prefs_general.c: text changed.
	  po/ja.po: text changed.

2004-02-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/google.c, src/utils/utils.c: google_url_encode() moved from google.c into utils.c
	  src/actions/kz-location-entry-action.c: Open google search 
	  if entry text does not have "http://" or "ftp://" or "file://".

2004-02-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action.c: Ooops! 
	  gtk_notebook_set_current_page needs.

2004-02-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/actions/kz-action.c: In act_restore_session(), 
	  gtk_notebook_set_current_page() is not called any more.

2004-02-01 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Set correct tab position on restoring session.

2004-01-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* RSS contains stylesheet was supported.

2004-01-31 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* New tab position is selectable.

2004-01-29 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* version 0.1.2.

2004-01-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kazehakase.h: Fixed a typo.

2004-01-28 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* src/kz-download-box.[ch]: The direction of Download icon fade in is selectable.
	  etc/kzrc: Added icon_fade_in_direction entry in "Download" section.

2004-01-28 Takuro Ashie <ashie@homa.ne.jp>

	* etc/bookmarkbar.xml: Added owner attributes for metadata elements.

2004-01-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a seg fault when favicon uri is NULL.

2004-01-27 Takuro Ashie <ashie@homa.ne.jp>

	* src/bookmarks/kz-xbel.c: Ignore metadata node owned by other owner.

2004-01-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Download icon is drawn little by little.

2004-01-27 Takuro Ashie <ashie@homa.ne.jp>

	* Fixed clash bug arround editing KzBookmarkList has been fixed.

2004-01-27 Takuro Ashie <ashie@homa.ne.jp>

	* Force set path of KzBookmarkList to user-file after start loading.

2004-01-27 Takuro Ashie <ashie@homa.ne.jp>

	* Changed format of bookmarkbar.xml.
	Now we can "mount" external bookmark file into any folder.

2004-01-27 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Scaling method of favicon changed.

2004-01-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Stock icon on the right bottom of favicon transparentized 

2004-01-26 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added entry_open_in_new_tab in kzrc for default behaviour that
	  url opens in new tab or not when you hit enter in location entry or google entry.

2004-01-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added Bookmark menu keeps popuping on preference dialog.

2004-01-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Bookmark menu keeps popuping until left click on menu or 
	  click other widget.

2004-01-25 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added kz-nsbookmark.[ch]. 
	  Support for Mozilla and MozillaFirebird bookmark.

2004-01-23 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Use "dc:date" value to last-modified property of bookmark object.

2004-01-22 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Disconnect profile change signal from kz_global_profile object in KzTabLabel
	  and disconnect state change signal from kztab->close_button.

2004-01-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Changed kz_actions_set_sensitive() to 
	  kz_actions_set_selection_sensitive() 
	  in mouse up and down event callbacks in kz-window.c.

2004-01-21 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added HTTP error process and disconnect signals in KzFavicon.

2004-01-21 Takuro Ashie  <ashie@homa.ne.jp>

	* Fixed inifinite loop of kz_location_entry_action_sync_history().

2004-01-21 Takuro Ashie  <ashie@homa.ne.jp>

	* Check return value of gdk_pixbuf_new_from_file() in
	kz_favicon_get_widget() and kz_favicon_get_pixbuf().

2004-01-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a bug that segfault when sidebar content changes to 
	  bookmarkbar list view.

2004-01-20 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a bug that tooltip on tab label does not show.

2004-01-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon on bookmarktree, but something funny.

2004-01-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon on tabtree and tablist, but incomplete.

2004-01-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Favicon pixbuf is scaling in kz_favicon_get_pixbuf().

2004-01-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a bug that sidebar position menu does not show 
	  when sidebar is visible again. 

2004-01-19 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added "go-to" button.

2004-01-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Set go-up action sensitivity.

2004-01-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Refactoring.

2004-01-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added go-up directory feature.

2004-01-18 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* To solve stackness of mouse gestures, 
	  Call kz_action_set_selection_sensitive() instead of
	  kz_action_set_sensitive() from cb_window_motion_notify_event()
	  in kz-window.c.

2004-01-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Minor fix for mozilla-1.6.

2004-01-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Enabled to show/hide favicon on tab label on preference dialog.

2004-01-17 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Favicon on back and forward buttons works fine!

2004-01-16 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon on back and forward buttons.

2004-01-16 Junichiro Kita <kita@kitaj.no-ip.com>

	* Check a little bit more strictly around proxy settings.

2004-01-16 Junichiro Kita <kita@kitaj.no-ip.com>

	* do NULL checks in prefs_proxy.c

2004-01-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon with small stock icon on Prev and Next tab menu.

2004-01-15 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Hide navigation link menu and sidebar position menu
	  if they are disable.

2004-01-15 Takuro Ashie  <ashie@homa.ne.jp>

	* Through G_IO_HUP at cb_io_in() in kz-io.ic.

2004-01-14 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon in bookmark editor.

2004-01-14 Junichiro Kita <kita@kitaj.no-ip.com>

	* Add a preference window and menus for saving sessions.

2004-01-13 Junichiro Kita <kita@kitaj.no-ip.com>

	* Check a little bit more strictly in mozilla-prefs.cpp.

2004-01-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Enlarged favicon on tab label.

2004-01-13 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Show favicon in bookmark menu.

2004-01-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Plugged a memory leak in main.c.

2004-01-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Tab lock state is not checked in kz_window_load_url(),
	  it's checked in kz_moz_embed_load_url().

2004-01-11 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* "go navigation link" uses kz_moz_embed_load_url()
	  instead of gtk_moz_embed_load_url().

2004-01-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Content view on Bookmark editor shows default.

2004-01-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Tab label uses also EelInputEventBox.
	  Now gtk+ theme's background display finely.

2004-01-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Picked eel-input-event-box.[ch] from eel-2.4.1 to fix
	  a problem GtkEventBox background does not display gtk+ theme's background.

2004-01-10 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a bug close button border shows during focus out. 
	  This solution was gotten from galeon-1.3.11a.

2004-01-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Sealed gtk_moz_**() functino in kz-mozembed.cpp.

2004-01-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a problem that lock button on tab label chips a little.

2004-01-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed a bug previous page's favicon is not disappeared.

2004-01-09 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Syncronized favicon on tab label with completion of loading favicon.
	  But now when a page which has favicon move to other page which
	  doesn't have favicon, previous favcion on tab label is not disappeared!
	  This is a bug. FIX IT!

2004-01-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* remove query string of URI from hash_key in faviconrc

2004-01-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Fixed seg fault in kz_fav_icon_get_pixbuf() 
	  when kz_moz_embed_get_location() is NULL.

2004-01-08 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Now favcion display on the left side of tab label.

2004-01-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Now connect "favicon" signal and download favicon. 
	  But still show nowhere. 

2004-01-07 Hiroyuki Ikezoe <poincare@ikezoe.net>

	* Added kz-favicon.[ch].
	  Emit "favicon" signal in KzMozEmbed when favicon link gets.
	  But still not work.

2004-01-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Show icon while tab lock state.

2004-01-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added owner attribute in XBEL format.

2004-01-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* define REG_NOERROR if not exists(for *BSD).

2004-01-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added action_focus_loc_ent() and action_clear_loc_ent().
	* When page has loaded tab label color changes until the page sets focus.
	  Thanks Tomoaki Yoshida san for sending a patch!

2004-01-04 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Disable close button on toolbar and close tab in popup menu 
	  when tab lock.

2004-01-04 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added google search history with KzBookmark.
	  but still not save to file.

2004-01-04 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed a bug that ~/.kazehakase/bookmarkbar.xml does not save
	  if it does not exist.

2004-01-04 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed seg fault to kz_prepend_bookmark() when bookmark-child is none.

2004-01-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Store tab lock state.
	* Use memory mode to download kzbookmarks.xml and home.xml.

2004-01-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Minor fix for gcc-2.95.

2004-01-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added feature that move focus to new tab and then move focus to location entry
	  when act_new_tab().
	  Thanks Tomoaki Yoshida san for sending a patch!

2004-01-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Save bookmark in act_add_bookmark() and act_remove_bookmark().

2004-01-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added loading in memory mode without temporary file in KzIO class.

2004-01-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Syncronized bookmark tree in sidebar with remove or insert bookmark.

2004-01-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed silly bug that bookmark sets empty!

2004-01-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Again, fixed bug that remote bookmark location replaces remote bookmark link property
	  after remote bookmark preference change.
	* Catch "remove-child" and "insert-child" signal on KzBookmarkbar and KzMETATree to
	  redraw these child widget (menu or tree list),
	  but KzMETATree is still in progress (does not work now).

2004-01-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed bug that remote bookmark location replaces remote bookmark link property
	  after remote bookmark preference change.

2004-01-01 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Changed bookmarkbar.xml format to XBEL.

2004-01-01 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed compile error using gcc-2.95.

2003-12-31 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed a bug that current page is wrong when session restores on startup time.

2003-12-31 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added sidebar position change in kz-ui-expert.xml.

2003-12-30 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Restore correctly sidebar width on startup time.

2003-12-30 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Changed link types in html HEAD (for navigation link).

2003-12-30 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to set sidebar to top or bottom.

2003-12-29 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to flip sidebar position.

2003-12-29 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* version 0.1.1.

2003-12-28 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Close tabs all at once when session restores.

2003-12-27 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* A minor fix for mozilla-1.4.1.

2003-12-26 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Plugged memory leaks in kz-about-dialog.c

2003-12-26 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Open new tab when enter pressed on google entry with control mask,
	  open current tab wihout mask.

2003-12-26 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to "Open this frame" in popup menu.

2003-12-24 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed incompletion of history when a tab copies.

2003-12-24 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to copy tab.

2003-12-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Cleaning navigation link in previous page.

2003-12-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Plugged memory leaks in kz-mozembed.cpp.

2003-12-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added navigation link action.

2003-12-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* A minor fix for mozilla-1.5.1.
	  Thanks IWAI Masaharu san.

2003-12-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Now we can handle favicon uri.

2003-12-17 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added KzMozProgressListener.(still empty)

2003-12-17 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* To be KzMozWrapper independent from nsISelectionListener class.
	  Added KzMozSelectionListener and KzMozEventListener class.

2003-12-16 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* A minor fix for mozilla-1.6b.

2003-12-14 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added write mode in KzIO. It is not stable yet.

2003-12-14 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Empty input text in google search box after press enter. 
	  http://sourceforge.jp/tracker/index.php?func=detail&aid=3497&group_id=388&atid=1532

2003-12-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed odd behavior when link clicked in frame page.

2003-12-06  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* Add KZ_XML_NODE_DOCTYPE to KzXMLNodeType.

2003-12-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Compatible with Galeon bookmark.

2003-12-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* A Minor fix for mozilla-1.4.1.

2003-12-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set correct toggle state on tab lock in tab menu. 

2003-12-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Use toggle button on toggle tab lock.

2003-12-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set link of a source information in LIRS to bookmark title-link.

2003-12-05  Hidetaka Iwai  <tyuyu@debian.or.jp>

	* Change Tab Lock to work during
	  CloseAll{Forward|Backward}Tab.
	
2003-12-05 Junichirol Kita <kita@kitaj.no-ip.com>

	* Added Tab Lock feature.

2003-12-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Remove duplicate semicolon.
	  Thanks to simm san.

2003-12-01 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added KzMozWrapper::HandleRSSLink.
	* Change default value typeahead in kzrc.

2003-11-29 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* version 0.1.0.

2003-11-27 Junichirol Kita <kita@kitaj.no-ip.com>

	* Now proxy settings are editable and selectable.
	* Update ja.po

2003-11-25 Takuro Ashie  <ashie@homa.ne.jp>

	* Plugged memory leak in prefs_general_response().

2003-11-25 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Change UI level in preference dialog when UI level changes in menu.

2003-11-25 Takuro Ashie  <ashie@homa.ne.jp>

	* Now also KzPrefsWin will follow UI level. Please fill "ui_level" field
	of KzPrefsWinPageEntry when you append a preference page.
	* Fix indent.

2003-11-25 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added kz-about-dialog.[ch].

2003-11-25 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Plugged memory leak in KzIO.

2003-11-25 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set correct icon on "Save as" in menu. 
	* Enable Super reload when RELOAD icon clicks with shift key. 

2003-11-25 Junichirol Kita <kita@kitaj.no-ip.com>

	* Proxy settings are editable, but now proxy can't be selectable(T_T;

2003-11-24 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added "Save as" in menu. But still in development.

2003-11-24 Junichirol Kita <kita@kitaj.no-ip.com>

	* Added some widgets for proxy settings. Currently not editable.

2003-11-23 Takuro Ashie  <ashie@homa.ne.jp>

	* Added place holder for encoding submenu.

2003-11-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Call kz_io_error() when bookmark file does not exists.

2003-11-23 Takuro Ashie  <ashie@homa.ne.jp>

	* Added a few function in KzMozWrapper that will be used for changing
	document encoding.

2003-11-23 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added a few function in KzMozWrapper that will be used for download.

2003-11-20 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed an issue that home.xml and bookmarks.xml does not create if not exists.

2003-11-20 Junichirol Kita <kita@kitaj.no-ip.com>

	* Use signal to notify that proxy settings are changed.

2003-11-20 Junichirol Kita <kita@kitaj.no-ip.com>

	* Minor fix in kz-proxy-item.c

2003-11-19 Junichirol Kita <kita@kitaj.no-ip.com>

	* Use KzProfile to store proxy info instead of XML.
	* Removed src/net/kz-proxy-list.[ch].
	* Moved src/net/kz-proxy-item.[ch] to src.

2003-11-19 Takuro Ashie  <ashie@homa.ne.jp>

	* Added src/bookmarks/kz-history.[ch]

2003-11-18 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to recieve drop URI on KzBookmarkBar.
	* Set "Drop link in here" on download box.

2003-11-18 Takuro Ashie  <ashie@homa.ne.jp>

	* KzWindow: Added reorder_tab signal.
	* Moved src/kz-dlist.[ch] into src/utils.

2003-11-18 Junichirol Kita <kita@kitaj.no-ip.com>

	* Add proxy support.

2003-11-18 Takuro Ashie  <ashie@homa.ne.jp>

	* KzLinksDialog: Added check box for selecting to save the link or not.

2003-11-17 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed seg fault when local link <fie:///hoge/..> drops into download box.

2003-11-17 Takuro Ashie  <ashie@homa.ne.jp>

	* Implemented kz_xml_node_replace_child().

2003-11-17 Takuro Ashie  <ashie@homa.ne.jp>

	* Minor fixes.

2003-11-17 Takuro Ashie  <ashie@homa.ne.jp>

	* Arrange indent when save bookmarks.
	+ kz_window_update_nav_buttons() is renamed to
	kz_actions_set_sensitive() and moved into src/actions/kz-actions.c.

2003-11-17 Takuro Ashie  <ashie@homa.ne.jp>

	* Added kz_bookmark_is_editable() and kz_bookmark_set_editable().

2003-11-16 Takuro Ashie  <ashie@homa.ne.jp>

	* Refine bookmark menu related codes.

2003-11-16 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set resize grip in download box.

2003-11-16 Takuro Ashie  <ashie@homa.ne.jp>

	* Enabled to show bookmarks in "Bookmarks" menu.
	* Some minor improvements for bookmark menu.

2003-11-15 Takuro Ashie  <ashie@homa.ne.jp>

	* Some minor code refine.
	* Renamed some source files.

2003-11-15 Takuro Ashie  <ashie@homa.ne.jp>

	* The bug which cannot open KzWindow has been fixed.
	I forgot to terminate g_object_set() in kz_bookmark_set_interval() by NULL pointer.
	Thanks reporting! > Junichiro Kita <kita@kitaj.no-ip.com>

2003-11-13 Takuro Ashie  <ashie@homa.ne.jp>

	* Removed KzXBEL class and modified as KzBookmarkFileType.

2003-11-13 Takuro Ashie  <ashie@homa.ne.jp>

	* Added KzBookmarkFileType struct. In the future, file type backends
	will be separated as plugin.
	* Refine some codes.

2003-11-12 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set "-Wall" in CFLAGS.
	  Fixed complie warning in kz-http.c and kz-downloader-group.c.

2003-11-12 Takuro Ashie  <ashie@homa.ne.jp>

	* Auto detecting bookmark file type routine is separated to a few
	functions.

2003-11-12 Takuro Ashie  <ashie@homa.ne.jp>

	* Integrated KzRemoetBookmark into KzBookmark.

2003-11-12 Takuro Ashie  <ashie@homa.ne.jp>

	* Plugged memory leaks.
	* Added up button for bookmark editor.

2003-11-12 Takuro Ashie  <ashie@homa.ne.jp>

	* Moved action related source files into src/actions directory.

2003-11-12 Takuro Ashie  <ashie@homa.ne.jp>

	* Added a new GType "KzHTTPMethodType".
	* Fixed some compile warnings.

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Enabled DnD on folder view of bookmark editor.
	* Change cursor to the next or previous row before remove a bookmark on
	bookmark editor.
	* Remove accel_group from KzWindow & KzBookmarksEditor struct.

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Added popup menu for bookmarks view of bookmark editor.

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Added separator icon (Picked from Galeon).

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Clean up KzTabLabel.

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Added tree mode for bookmarks view of bookmark editor.

2003-11-11 Takuro Ashie  <ashie@homa.ne.jp>

	* Fixed gesture config entry for tabs.

2003-11-10 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added download cancel feature(bug fixed).

2003-11-10 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Removed dispose from KzIO class.

2003-11-10 Takuro Ashie  <ashie@homa.ne.jp>

	* Removed some wasted codes.

2003-11-10 Takuro Ashie  <ashie@homa.ne.jp>

	* Fixed wrong max history checking of EggHistoryAction.

2003-11-10 Takuro Ashie  <ashie@homa.ne.jp>

	* Save window state when close from act_close_window().
	* Changed some action labels for tabs as "left" -> "previous" or
	"backward" and "right" -> "next" or "forward".
	* Open URI in GDK_SELECTION_PRIMARY when click middle mouse button.
	* Added KzLocationEntryAction.
	* Open new tab when enter an URI from location entry with control mask.

2003-11-09 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed a bug seg fault when download completed.

2003-11-09 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* View download percentage on tooltip of download icon.

2003-11-08 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to redirect in kz-http.c.

2003-11-08 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Changed n_params at key_added and key_deleted signal in kz_profile.c

2003-11-08 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Refined kz_downloader_cancel().
	  But still funny behaviour.

2003-11-08 Takuro Ashie  <ashie@homa.ne.jp>

	* Clean up some codes.

2003-11-07 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Add cancel event on downloader icon.
	  But still no response.

2003-11-06 Takuro Ashie  <ashie@homa.ne.jp>

	* Added "Close all child tab".
	* Manage life cycle of bookmark and menu items on bookmnark bar correctly.
	* Enable to open bookmark editor from bookmark bar.
	* Set stock-id for google-action.
	* Clean up some objects.
	* Added tab list view on sidebar.

2003-11-06 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Set filename to downloader icon tooltip.

2003-11-06 Takuro Ashie  <ashie@homa.ne.jp>

	* Temporarily added "Bookmarks" item on KzBookmarkBar.

2003-11-06 Takuro Ashie  <ashie@homa.ne.jp>

	* Added input methods menu into popup menu for embed widget.
	But left click doesn't work yet (Please use right click).
	What's happen??

2003-11-05 Takuro Ashie  <ashie@homa.ne.jp>

	* Removed kz_window_close_tab_idle().

2003-11-05 Takuro Ashie  <ashie@homa.ne.jp>

	* Implementing gesture preferece UI has been completed.

2003-11-05 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Emission io_in signal with buffer & length from KzIO.

2003-11-05 Takuro Ashie  <ashie@homa.ne.jp>

	* Added preference UI to customize gesture (not work yet).

2003-11-05 Takuro Ashie  <ashie@homa.ne.jp>

	* Removed UILevelCustom from kz-ui-expert.xml because customizing UI
	doesn't exist yet.

2003-11-04 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to KzIO for local file using KzFile.

2003-11-04 Takuro Ashie  <ashie@homa.ne.jp>

	* Improved performance.
	Now most callbacks are connected only for current tab.

2003-11-04 Takuro Ashie  <ashie@homa.ne.jp>

	* Added cancel button for key grab window in key accel prefs.

2003-11-04 Takuro Ashie  <ashie@homa.ne.jp>

	* Integrated EggAccelDialog into KzPrefsWin.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Set XBEL title of home.xml to "Home & Lairs".

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Removed src/bookmarks/kz-home.[ch]. Use KzXBEL instead.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Moved kz-home.[ch] and kz-metalist.[ch] into src/bookmarks.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Revived "activate" signal handler for search entry and return FALSE
	from "button-press-event" handler because IM can't commit preedit
	string.

2003-11-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Fixed incorrect icon of "save link" & "save image".

2003-11-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Enabled to "save link" & "save image" from popup menu. 

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Added find direction toggle button in search area.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Modified UI for setting user agent (not enabled yet).

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Added popup menu for KzBookmarkMenu.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Added UI level preference in "General" page.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Save state of KzBookmarkEditor when close it.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Changed some conflicted action name.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Moved startup page preference from Mozilla's Pref service to
	KzProfile.
	* Moved menu related macros into utils/gtk-utils.h.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Open remote bookmarks as tab tree.
	Channel link will be used as the parent.

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Show channel links of RSS on KzBookmarkMenu.

2003-11-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Temporary file opens in KzIO. 
	  This change makes KzFile working fine, maybe.

2003-11-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added KzFile object(kz-file.[ch]).

2003-11-03 Takuro Ashie  <ashie@homa.ne.jp>

	* Minor fixes for indenting XML file.
	* Added BUILT_SOURCES for egg-marshalers.

2003-11-03 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Minor fixes KzIO(added emit io_in signal).

2003-11-02 Hiroyuki Ikezoe<poincare@ikezoe.net>

	* Added KzIO object(kz-io.[ch]). KzHTTP was derived from this object.

2003-11-02 Takuro Ashie  <ashie@homa.ne.jp>

	* Arrange indent when save bookmarks.xml.

2003-11-02 Takuro Ashie  <ashie@homa.ne.jp>

